// MatCap Shader, (c) 2013 Jean Moreno
// Modifications in 2014 by DeathByNukes

Shader "MatCap/Vertex/Glow" {
Properties
{
	_Color ("Main Color", Color) = (0.5,0.5,0.5,1)
	_MatCap ("MatCap (RGB)", 2D) = "white" {}

	_GlowColor ("Glow Color", Color) = (1,1,1,1)
	_Glow ("MatCap (RGB)", 2D) = "white" {}
	_GlowBrightness ("Glow Scale", Float) = 1
}

Subshader
{
	Tags { "RenderType"="Opaque" }
	
	Pass
	{
		Tags { "LightMode" = "Always" }
		
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 8 to 8
//   d3d9 - ALU: 8 to 8
//   d3d11 - ALU: 7 to 7, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 8 ALU
PARAM c[9] = { { 0.5 },
		state.matrix.mvp,
		state.matrix.modelview[0].invtrans };
TEMP R0;
DP3 R0.x, vertex.normal, c[5];
DP3 R0.y, vertex.normal, c[6];
MAD result.texcoord[0].xy, R0, c[0].x, c[0].x;
MOV result.texcoord[1].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 8 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [glstate_matrix_invtrans_modelview0]
"vs_2_0
; 8 ALU
def c8, 0.50000000, 0, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
dp3 r0.x, v1, c4
dp3 r0.y, v1, c5
mad oT0.xy, r0, c8.x, c8.x
mov oT1.xy, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 192 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 128 [glstate_matrix_invtrans_modelview0] 4
BindCB "UnityPerDraw" 0
// 15 instructions, 2 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedinellpifooffigdlkomfcjmhjecakcakabaaaaaadiadaaaaadaaaaaa
cmaaaaaakaaaaaaabaabaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaaamadaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklfdeieefccaacaaaaeaaaabaaiiaaaaaa
fjaaaaaeegiocaaaaaaaaaaaalaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
hcbabaaaabaaaaaafpaaaaaddcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadmccabaaaabaaaaaagiaaaaac
acaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaag
bcaabaaaaaaaaaaaakiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaaaaaaaaaa
akiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaaaaaaaaaakiacaaaaaaaaaaa
akaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaabaaaaaa
dgaaaaagbcaabaaaabaaaaaabkiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaa
abaaaaaabkiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaabaaaaaabkiacaaa
aaaaaaaaakaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaabaaaaaaegbcbaaa
abaaaaaadcaaaaapdccabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaafmccabaaaabaaaaaaagbebaaaacaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 22 to 22, TEX: 2 to 2
//   d3d9 - ALU: 21 to 21, TEX: 2 to 2
//   d3d11 - ALU: 12 to 12, TEX: 2 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"!!ARBfp1.0
OPTION ARB_precision_hint_fastest;
# 22 ALU, 2 TEX
PARAM c[4] = { program.local[0..2],
		{ 1, 0, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEX R1.xyz, fragment.texcoord[1], texture[1], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R2.xyz, R1, c[1];
MAX R1.x, R2, R2.y;
MAX R1.x, R2.z, R1;
RCP R1.y, R1.x;
ABS R1.x, R1;
CMP R1.x, -R1, R1.y, c[3].z;
ADD R1.z, -R1.x, c[2].x;
MIN R1.y, R1.x, c[2].x;
MOV R1.x, c[2];
SLT R1.w, c[3].x, R1.x;
ABS R1.w, R1;
CMP R3.x, -R1.w, c[3].y, c[3];
MAX R1.z, R1, c[3].y;
MAD R1.xyz, R2, R1.y, R1.z;
MUL R2.xyz, R2, c[2].x;
MOV R1.w, c[3].y;
MOV R2.w, c[3].y;
CMP R1, -R3.x, R2, R1;
MUL R0, R0, c[0];
ADD result.color, R0, R1;
END
# 22 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"ps_2_0
; 21 ALU, 2 TEX
dcl_2d s0
dcl_2d s1
def c3, 1.00000000, 0.00000000, 2.00000000, 0
dcl t0.xy
dcl t1.xy
texld r0, t1, s1
texld r1, t0, s0
mul r3.xyz, r0, c1
max_pp r0.x, r3, r3.y
max_pp r2.x, r3.z, r0
rcp_pp r0.x, r2.x
abs_pp r2.x, r2
cmp_pp r2.x, -r2, c3.z, r0
add_pp r0.x, -r2, c2
max_pp r4.x, r0, c3.y
min_pp r2.x, r2, c2
mad_pp r2.xyz, r3, r2.x, r4.x
mov_pp r0.x, c2
add_pp r0.x, c3, -r0
cmp_pp r0.x, r0, c3.y, c3
mul_pp r3.xyz, r3, c2.x
abs_pp r0.x, r0
mov_pp r2.w, c3.y
mov_pp r3.w, c3.y
cmp_pp r0, -r0.x, r3, r2
mul r1, r1, c0
add_pp r0, r1, r0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 64 // 52 used size, 4 vars
Vector 16 [_Color] 4
Vector 32 [_GlowColor] 4
Float 48 [_GlowBrightness]
BindCB "$Globals" 0
SetTexture 0 [_MatCap] 2D 0
SetTexture 1 [_Glow] 2D 1
// 18 instructions, 2 temp regs, 0 temp arrays:
// ALU 12 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedoceccjnepmmjhapnhcbpgdicboajjfbdabaaaaaaieadaaaaadaaaaaa
cmaaaaaajmaaaaaanaaaaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
amamaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefckmacaaaaeaaaaaaaklaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaadmcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaaefaaaaajpcaabaaaaaaaaaaa
ogbkbaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadeaaaaahicaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaabiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaadhaaaaajicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaeadkaabaaaaaaaaaaaaaaaaaajbcaabaaa
abaaaaaadkaabaiaebaaaaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaaddaaaaai
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaadeaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaadcaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaagiacaaaaaaaaaaaadaaaaaadbaaaaai
icaabaaaaaaaaaaaabeaaaaaaaaaiadpakiacaaaaaaaaaaaadaaaaaadhaaaaaj
hcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaa
efaaaaajpcaabaaaabaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaadgaaaaaficaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaaaaaaaaaabaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaa
doaaaaab"
}

}

#LINE 62

	}
}
}