// MatCap Shader, (c) 2013 Jean Moreno
// Modifications in 2014 by DeathByNukes

Shader "MatCap/Vertex/Glow_Mirror_AlphaGlow" {
Properties
{
	_Color ("Main Color", Color) = (0.5,0.5,0.5,1)
	_MatCap ("MatCap (RGB)", 2D) = "white" {}

	_GlowColor ("Glow Color", Color) = (1,1,1,1)
	_Glow ("MatCap (RGB)", 2D) = "white" {}
	_GlowBrightness ("Glow Scale", Float) = 1
}

Subshader
{
	Tags { "RenderType"="Opaque" "Queue"="Geometry+3" }
	#LINE 58

	
	Pass
	{
		Tags { "LightMode" = "Always" }
		
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 8 to 8
//   d3d9 - ALU: 8 to 8
//   d3d11 - ALU: 7 to 7, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 8 ALU
PARAM c[9] = { { 0.5 },
		state.matrix.mvp,
		state.matrix.modelview[0].invtrans };
TEMP R0;
DP3 R0.x, vertex.normal, c[5];
DP3 R0.y, vertex.normal, c[6];
MAD result.texcoord[0].xy, R0, c[0].x, c[0].x;
MOV result.texcoord[1].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 8 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [glstate_matrix_invtrans_modelview0]
"vs_2_0
; 8 ALU
def c8, 0.50000000, 0, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
dp3 r0.x, v1, c4
dp3 r0.y, v1, c5
mad oT0.xy, r0, c8.x, c8.x
mov oT1.xy, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 192 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 128 [glstate_matrix_invtrans_modelview0] 4
BindCB "UnityPerDraw" 0
// 15 instructions, 2 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedinellpifooffigdlkomfcjmhjecakcakabaaaaaadiadaaaaadaaaaaa
cmaaaaaakaaaaaaabaabaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaaamadaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklfdeieefccaacaaaaeaaaabaaiiaaaaaa
fjaaaaaeegiocaaaaaaaaaaaalaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
hcbabaaaabaaaaaafpaaaaaddcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadmccabaaaabaaaaaagiaaaaac
acaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaag
bcaabaaaaaaaaaaaakiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaaaaaaaaaa
akiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaaaaaaaaaakiacaaaaaaaaaaa
akaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaabaaaaaa
dgaaaaagbcaabaaaabaaaaaabkiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaa
abaaaaaabkiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaabaaaaaabkiacaaa
aaaaaaaaakaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaabaaaaaaegbcbaaa
abaaaaaadcaaaaapdccabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaafmccabaaaabaaaaaaagbebaaaacaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 20 to 20, TEX: 2 to 2
//   d3d9 - ALU: 19 to 19, TEX: 2 to 2
//   d3d11 - ALU: 11 to 11, TEX: 2 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"!!ARBfp1.0
OPTION ARB_precision_hint_fastest;
# 20 ALU, 2 TEX
PARAM c[4] = { program.local[0..2],
		{ 1, 0, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEX R1.xyz, fragment.texcoord[1], texture[1], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R2.xyz, R1, c[1];
MAX R1.x, R2, R2.y;
MAX R1.x, R2.z, R1;
RCP R1.y, R1.x;
ABS R1.x, R1;
CMP R3.x, -R1, R1.y, c[3].z;
MIN R1.x, R3, c[2];
MOV R1.w, c[2].x;
SLT R2.w, c[3].x, R1;
MUL R1.xyz, R2, R1.x;
ADD R1.w, -R3.x, c[2].x;
ABS R2.w, R2;
CMP R3.x, -R2.w, c[3].y, c[3];
MUL R2.xyz, R2, c[2].x;
MOV R2.w, c[3].y;
CMP R1, -R3.x, R2, R1;
MUL R0, R0, c[0];
ADD result.color, R0, R1;
END
# 20 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"ps_2_0
; 19 ALU, 2 TEX
dcl_2d s0
dcl_2d s1
def c3, 1.00000000, 0.00000000, 2.00000000, 0
dcl t0.xy
dcl t1.xy
texld r0, t1, s1
texld r2, t0, s0
mul r4.xyz, r0, c1
max_pp r0.x, r4, r4.y
max_pp r1.x, r4.z, r0
rcp_pp r0.x, r1.x
abs_pp r1.x, r1
cmp_pp r1.x, -r1, c3.z, r0
min_pp r0.x, r1, c2
mul_pp r3.xyz, r4, r0.x
add_pp r3.w, -r1.x, c2.x
mov_pp r0.x, c2
add_pp r0.x, c3, -r0
cmp_pp r0.x, r0, c3.y, c3
mul_pp r1.xyz, r4, c2.x
mov_pp r1.w, c3.y
abs_pp r0.x, r0
cmp_pp r0, -r0.x, r1, r3
mul r1, r2, c0
add_pp r0, r1, r0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 64 // 52 used size, 4 vars
Vector 16 [_Color] 4
Vector 32 [_GlowColor] 4
Float 48 [_GlowBrightness]
BindCB "$Globals" 0
SetTexture 0 [_MatCap] 2D 0
SetTexture 1 [_Glow] 2D 1
// 17 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeohnkccdcbnopbbkeefggjgplaeakgldabaaaaaagaadaaaaadaaaaaa
cmaaaaaajmaaaaaanaaaaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
amamaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciiacaaaaeaaaaaaakcaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaadmcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaajpcaabaaaaaaaaaaa
ogbkbaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadeaaaaahicaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaabiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaadhaaaaajicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaeadkaabaaaaaaaaaaaddaaaaaibcaabaaa
abaaaaaadkaabaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaaaaaaaaajicaabaaa
acaaaaaadkaabaiaebaaaaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaadiaaaaah
hcaabaaaacaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaagiacaaaaaaaaaaaadaaaaaadbaaaaaibcaabaaa
abaaaaaaabeaaaaaaaaaiadpakiacaaaaaaaaaaaadaaaaaadgaaaaaficaabaaa
aaaaaaaaabeaaaaaaaaaaaaadhaaaaajpcaabaaaaaaaaaaaagaabaaaabaaaaaa
egaobaaaacaaaaaaegaobaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaabaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}

}

#LINE 69

	}
	Pass
	{
		Tags { "LightMode" = "Always" }
		Cull Front

		Stencil {
			Ref 1
			ReadMask 1
			Comp Equal
		}
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 10 to 10
//   d3d9 - ALU: 10 to 10
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 10 ALU
PARAM c[9] = { { 0.75, 0.5 },
		state.matrix.mvp,
		state.matrix.modelview[0].invtrans };
TEMP R0;
MOV R0.xzw, vertex.position;
ADD R0.y, -vertex.position, -c[0].x;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
DP3 R0.x, vertex.normal, c[5];
DP3 R0.y, vertex.normal, c[6];
MAD result.texcoord[0].xy, R0, c[0].y, c[0].y;
MOV result.texcoord[1].xy, vertex.texcoord[0];
END
# 10 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [glstate_matrix_invtrans_modelview0]
"vs_2_0
; 10 ALU
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
def c8, -0.75000000, 0.50000000, 0, 0
mov r0.xzw, v0
add r0.y, -v0, c8.x
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
dp3 r0.x, v1, c4
dp3 r0.y, v1, c5
mad oT0.xy, r0, c8.y, c8.y
mov oT1.xy, v2
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 192 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 128 [glstate_matrix_invtrans_modelview0] 4
BindCB "UnityPerDraw" 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjjmkepmfcdeoommiocimoeiddmdamjglabaaaaaafiadaaaaadaaaaaa
cmaaaaaakaaaaaaabaabaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaaamadaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklfdeieefceaacaaaaeaaaabaajaaaaaaa
fjaaaaaeegiocaaaaaaaaaaaalaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
hcbabaaaabaaaaaafpaaaaaddcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadmccabaaaabaaaaaagiaaaaac
acaaaaaaaaaaaaaibcaabaaaaaaaaaaabkbabaiaebaaaaaaaaaaaaaaabeaaaaa
aaaaealpdiaaaaaipcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaag
bcaabaaaaaaaaaaaakiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaaaaaaaaaa
akiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaaaaaaaaaakiacaaaaaaaaaaa
akaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaabaaaaaa
dgaaaaagbcaabaaaabaaaaaabkiacaaaaaaaaaaaaiaaaaaadgaaaaagccaabaaa
abaaaaaabkiacaaaaaaaaaaaajaaaaaadgaaaaagecaabaaaabaaaaaabkiacaaa
aaaaaaaaakaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaabaaaaaaegbcbaaa
abaaaaaadcaaaaapdccabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaafmccabaaaabaaaaaaagbebaaaacaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 20 to 20, TEX: 2 to 2
//   d3d9 - ALU: 19 to 19, TEX: 2 to 2
//   d3d11 - ALU: 11 to 11, TEX: 2 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"!!ARBfp1.0
OPTION ARB_precision_hint_fastest;
# 20 ALU, 2 TEX
PARAM c[4] = { program.local[0..2],
		{ 1, 0, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEX R1.xyz, fragment.texcoord[1], texture[1], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R2.xyz, R1, c[1];
MAX R1.x, R2, R2.y;
MAX R1.x, R2.z, R1;
RCP R1.y, R1.x;
ABS R1.x, R1;
CMP R3.x, -R1, R1.y, c[3].z;
MIN R1.x, R3, c[2];
MOV R1.w, c[2].x;
SLT R2.w, c[3].x, R1;
MUL R1.xyz, R2, R1.x;
ADD R1.w, -R3.x, c[2].x;
ABS R2.w, R2;
CMP R3.x, -R2.w, c[3].y, c[3];
MUL R2.xyz, R2, c[2].x;
MOV R2.w, c[3].y;
CMP R1, -R3.x, R2, R1;
MUL R0, R0, c[0];
ADD result.color, R0, R1;
END
# 20 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Vector 1 [_GlowColor]
Float 2 [_GlowBrightness]
SetTexture 0 [_MatCap] 2D
SetTexture 1 [_Glow] 2D
"ps_2_0
; 19 ALU, 2 TEX
dcl_2d s0
dcl_2d s1
def c3, 1.00000000, 0.00000000, 2.00000000, 0
dcl t0.xy
dcl t1.xy
texld r0, t1, s1
texld r2, t0, s0
mul r4.xyz, r0, c1
max_pp r0.x, r4, r4.y
max_pp r1.x, r4.z, r0
rcp_pp r0.x, r1.x
abs_pp r1.x, r1
cmp_pp r1.x, -r1, c3.z, r0
min_pp r0.x, r1, c2
mul_pp r3.xyz, r4, r0.x
add_pp r3.w, -r1.x, c2.x
mov_pp r0.x, c2
add_pp r0.x, c3, -r0
cmp_pp r0.x, r0, c3.y, c3
mul_pp r1.xyz, r4, c2.x
mov_pp r1.w, c3.y
abs_pp r0.x, r0
cmp_pp r0, -r0.x, r1, r3
mul r1, r2, c0
add_pp r0, r1, r0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 64 // 52 used size, 4 vars
Vector 16 [_Color] 4
Vector 32 [_GlowColor] 4
Float 48 [_GlowBrightness]
BindCB "$Globals" 0
SetTexture 0 [_MatCap] 2D 0
SetTexture 1 [_Glow] 2D 1
// 17 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeohnkccdcbnopbbkeefggjgplaeakgldabaaaaaagaadaaaaadaaaaaa
cmaaaaaajmaaaaaanaaaaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
amamaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciiacaaaaeaaaaaaakcaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaadmcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaajpcaabaaaaaaaaaaa
ogbkbaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadeaaaaahicaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaabiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaadhaaaaajicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaeadkaabaaaaaaaaaaaddaaaaaibcaabaaa
abaaaaaadkaabaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaaaaaaaaajicaabaaa
acaaaaaadkaabaiaebaaaaaaaaaaaaaaakiacaaaaaaaaaaaadaaaaaadiaaaaah
hcaabaaaacaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaagiacaaaaaaaaaaaadaaaaaadbaaaaaibcaabaaa
abaaaaaaabeaaaaaaaaaiadpakiacaaaaaaaaaaaadaaaaaadgaaaaaficaabaaa
aaaaaaaaabeaaaaaaaaaaaaadhaaaaajpcaabaaaaaaaaaaaagaabaaaabaaaaaa
egaobaaaacaaaaaaegaobaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaabaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}

}

#LINE 88

	}
}
}