﻿// 2014 DeathByNukes

Shader "BG/Skywire" {
Properties {
	_Color ("Color", Color) = (1,1,1,1)
	_RollSpeed ("Radians per second", Float) = 0
}

SubShader {
	Pass {
		Fog { Mode Off }
		ZWrite Off
		//Blend One One
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 29 to 29
//   d3d9 - ALU: 26 to 26
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Vector 5 [_Time]
Float 6 [_RollSpeed]
"!!ARBvp1.0
# 29 ALU
PARAM c[10] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..6],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[5].y;
MUL R0.x, R0, c[6];
MUL R0.x, R0, c[0];
FRC R1.z, R0.x;
SLT R0, R1.z, c[7];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[7].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[8].xyxy, c[8].zwzw;
MAD R1, R1, R2.zzww, c[9].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[0].yyzz;
DP4 R1.z, R0, c[0].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R0.xy, vertex.position, R0;
MUL R1.xy, R0.wzzw, vertex.position;
ADD R0.x, R0, R0.y;
MOV R0.zw, vertex.position;
ADD R0.y, R1.x, R1;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
END
# 29 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Time]
Float 5 [_RollSpeed]
"vs_2_0
; 26 ALU
def c6, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c7, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c8, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
mov r0.x, c5
mul r0.x, c4.y, r0
mad r0.x, r0, c6, c6.y
frc r0.x, r0
mad r1.x, r0, c6.z, c6.w
sincos r0.xy, r1.x, c7.xyzw, c8.xyzw
mov r1.zw, v0
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxy, r0
mul r0.xy, r0.yxzw, v0
add r1.x, r0.z, r0.w
add r1.y, r0.x, r0
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
ConstBuffer "$Globals" 48 // 36 used size, 3 vars
Float 32 [_RollSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 12 instructions, 3 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedegocmnhoohmibhifhleingbebkncoibbabaaaaaaemacaaaaadaaaaaa
cmaaaaaagaaaaaaajeaaaaaaejfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafaepfdejfeejepeoaaklklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafdeieefclaabaaaaeaaaabaa
gmaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagiaaaaacadaaaaaadiaaaaajbcaabaaa
aaaaaaaaakiacaaaaaaaaaaaacaaaaaabkiacaaaabaaaaaaaaaaaaaaenaaaaah
bcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaaaaaaaaaadgaaaaafecaabaaa
acaaaaaaakaabaaaaaaaaaaadgaaaaafccaabaaaacaaaaaaakaabaaaabaaaaaa
dgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaaapaaaaahbcaabaaa
aaaaaaaabgafbaaaacaaaaaaegbabaaaaaaaaaaaapaaaaahccaabaaaaaaaaaaa
ggakbaaaacaaaaaaegbabaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 1 to 1, TEX: 0 to 0
//   d3d9 - ALU: 1 to 1
//   d3d11 - ALU: 0 to 0, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
"!!ARBfp1.0
# 1 ALU, 0 TEX
PARAM c[1] = { program.local[0] };
MOV result.color, c[0];
END
# 1 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
"ps_2_0
; 1 ALU
mov_pp oC0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Color] 4
BindCB "$Globals" 0
// 2 instructions, 0 temp regs, 0 temp arrays:
// ALU 0 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednblhdiimnliohiafadnlhegkmdpkipijabaaaaaanmaaaaaaadaaaaaa
cmaaaaaagaaaaaaajeaaaaaaejfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefceaaaaaaaeaaaaaaa
baaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagfaaaaadpccabaaaaaaaaaaa
dgaaaaagpccabaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadoaaaaab"
}

}

#LINE 45

	}
}
}
