﻿// 2014 DeathByNukes

Shader "BG/classic/struct_AlphaGlow" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
}

SubShader {
	Pass {
		Fog { Mode Off }
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 5 to 5
//   d3d9 - ALU: 5 to 5
//   d3d11 - ALU: 5 to 5, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 5 [_MainTex_ST]
"!!ARBvp1.0
# 5 ALU
PARAM c[6] = { program.local[0],
		state.matrix.mvp,
		program.local[5] };
MAD result.texcoord[0].xy, vertex.texcoord[0], c[5], c[5].zwzw;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 5 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_MainTex_ST]
"vs_2_0
; 5 ALU
dcl_position0 v0
dcl_texcoord0 v1
mad oT0.xy, v1, c4, c4.zwzw
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_MainTex_ST] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedmeiefdmplfblpnmaalcmohkfnkcoenkmabaaaaaaamacaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefccmabaaaa
eaaaabaaelaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaaeegiocaaa
abaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagiaaaaac
abaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaabaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaabaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaal
dccabaaaabaaaaaaegbabaaaabaaaaaaegiacaaaaaaaaaaaabaaaaaaogikcaaa
aaaaaaaaabaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 19 to 19, TEX: 1 to 1
//   d3d9 - ALU: 18 to 18, TEX: 1 to 1
//   d3d11 - ALU: 12 to 12, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 19 ALU, 1 TEX
PARAM c[3] = { program.local[0],
		{ 4, 0.25, 1, 0 },
		{ 1.75, 3, 2, 0.5 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R0.xyz, R0, c[0];
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
ADD R1.y, R1.x, -c[2].x;
MUL_SAT R1.y, R1, c[1].x;
MAD R1.z, -R1.y, c[2], c[2].y;
MUL R1.y, R1, R1;
MUL R2.x, R1.y, R1.z;
SGE R1.y, c[2].x, R1.x;
ABS R1.w, R1.y;
RCP R1.x, R1.x;
MUL R1.xyz, R0, R1.x;
MAD R1.xyz, R1, c[2].x, R2.x;
CMP R1.w, -R1, c[1], c[1].z;
CMP result.color.xyz, -R1.w, R1, R0;
MOV R0.x, c[2].w;
MAX_SAT R0.y, R0.w, R0.z;
MAD result.color.w, -R0.y, c[1].y, R0.x;
END
# 19 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 18 ALU, 1 TEX
dcl_2d s0
def c1, 1.75000000, 1.00000000, 0.00000000, -1.75000000
def c2, 4.00000000, 2.00000000, 3.00000000, 0
def c3, 0.25000000, 0.50000000, 0, 0
dcl t0.xy
texld r0, t0, s0
mul r4.xyz, r0, c0
max_pp r0.x, r4, r4.y
max_pp r1.x, r0, r4.z
add_pp r2.x, r1, c1.w
mul_pp_sat r5.x, r2, c2
rcp_pp r2.x, r1.x
mad_pp r3.x, -r5, c2.y, c2.z
max_pp_sat r0.x, r0, r4.z
mul_pp r5.x, r5, r5
add_pp r1.x, -r1, c1
mad_pp r0.w, -r0.x, c3.x, c3.y
cmp_pp r1.x, r1, c1.y, c1.z
mul_pp r3.x, r5, r3
mul_pp r2.xyz, r4, r2.x
mad_pp r2.xyz, r2, c1.x, r3.x
abs_pp r0.x, r1
cmp_pp r0.xyz, -r0.x, r2, r4
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 12 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedikaddpgffbmfkfpgohocpodjogllkajeabaaaaaapaacaaaaadaaaaaa
cmaaaaaaieaaaaaaliaaaaaaejfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcdaacaaaa
eaaaaaaaimaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaa
aaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaaefaaaaajpcaabaaaaaaaaaaa
egbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadeaaaaahicaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaoalpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaaaaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaaoaaaaahocaabaaaabaaaaaaagajbaaaaaaaaaaapgapbaaaaaaaaaaa
dcaaaaamhcaabaaaabaaaaaajgahbaaaabaaaaaaaceaaaaaaaaaoadpaaaaoadp
aaaaoadpaaaaaaaaagaabaaaabaaaaaabnaaaaahicaabaaaabaaaaaaabeaaaaa
aaaaoadpdkaabaaaaaaaaaaadgcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaakiccabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiado
abeaaaaaaaaaaadpdhaaaaajhccabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadoaaaaab"
}

}

#LINE 49

	}
}
}
