// Copyright 2014 DeathByNukes

Shader "BG/exit/BoxParticles" {
Properties {
	_MainTex ("Texture 1 (R), Texture 2 (G)", 2D) = "white" {}
	_Color ("Solid color", Color) = (1,1,1,1)
	_ScrollSpeed1 ("Texture 1 horizontal offset per second", Float) = 0
	_ScrollSpeed2 ("Texture 2 vertical offset per second", Float) = 0
	_BoxRadius ("Box radius", Float) = 0.01
}

SubShader {
	Tags {"Queue" = "Transparent" }
	Pass {
		Fog { Mode Off }
		ZWrite Off
		Blend One One // Add
		//Blend One OneMinusSrcColor // AddSmooth
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 5 to 5
//   d3d9 - ALU: 5 to 5
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"3.0-!!ARBvp1.0
# 5 ALU
PARAM c[5] = { program.local[0],
		state.matrix.mvp };
MOV result.texcoord[0].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 5 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
"vs_3_0
; 5 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_position0 v0
dcl_texcoord0 v1
mov o1.xy, v1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaffpdldohodkdgpagjklpapmmnbhcfmlabaaaaaaoeabaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcaeabaaaa
eaaaabaaebaaaaaafjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaaddccabaaaabaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaa
doaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 69 to 69, TEX: 16 to 16
//   d3d9 - ALU: 55 to 55, TEX: 17 to 17
//   d3d11 - ALU: 33 to 33, TEX: 16 to 16, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Color]
Float 2 [_ScrollSpeed1]
Float 3 [_ScrollSpeed2]
Float 4 [_BoxRadius]
SetTexture 0 [_MainTex] 2D
"3.0-!!ARBfp1.0
# 69 ALU, 16 TEX
PARAM c[6] = { program.local[0..4],
		{ 0, 0.00390625 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
MOV R0.x, c[0].y;
MUL R0.w, R0.x, c[3].x;
MOV R0.z, c[5].x;
ADD R3.zw, fragment.texcoord[0].xyxy, R0;
MOV R3.x, -c[4];
MOV R3.y, c[4].x;
ADD R1.zw, R3.xyxy, R3;
TEX R0.y, R1.zwzw, texture[0], 2D;
MOV R1.y, c[4].x;
MOV R1.x, c[5];
ADD R0.zw, R1.xyxy, R3;
TEX R2.y, R0.zwzw, texture[0], 2D;
ADD R1.z, R0.y, R2.y;
ADD R0.zw, R3, c[4].x;
TEX R0.y, R0.zwzw, texture[0], 2D;
ADD R2.z, R1, R0.y;
MOV R2.y, c[5].x;
MOV R2.x, -c[4];
ADD R0.zw, R2.xyxy, R3;
TEX R0.y, R0.zwzw, texture[0], 2D;
ADD R2.z, R2, R0.y;
MOV R0.w, c[5].x;
MOV R0.z, c[4].x;
ADD R1.zw, R0, R3;
TEX R0.y, R1.zwzw, texture[0], 2D;
ADD R1.zw, R3, -c[4].x;
ADD R4.x, R2.z, R0.y;
TEX R0.y, R1.zwzw, texture[0], 2D;
ADD R4.x, R4, R0.y;
MOV R1.w, -c[4].x;
MOV R1.z, c[5].x;
ADD R2.zw, R1, R3;
TEX R0.y, R2.zwzw, texture[0], 2D;
ADD R4.x, R4, R0.y;
MOV R2.w, -c[4].x;
MOV R2.z, c[4].x;
ADD R3.zw, R2, R3;
TEX R0.y, R3.zwzw, texture[0], 2D;
MUL R3.z, R0.x, c[2].x;
MOV R3.w, c[5].x;
ADD R3.zw, fragment.texcoord[0].xyxy, R3;
ADD R4.x, R4, R0.y;
ADD R0.xy, R3.zwzw, R1;
ADD R1.xy, R3.zwzw, R3;
TEX R0.x, R0, texture[0], 2D;
TEX R1.x, R1, texture[0], 2D;
ADD R3.x, R1, R0;
ADD R0.xy, R3.zwzw, c[4].x;
TEX R0.x, R0, texture[0], 2D;
ADD R1.xy, R3.zwzw, R2;
TEX R1.x, R1, texture[0], 2D;
ADD R0.x, R3, R0;
ADD R1.y, R0.x, R1.x;
ADD R0.xy, R3.zwzw, R0.zwzw;
ADD R0.zw, R3, -c[4].x;
TEX R1.x, R0.zwzw, texture[0], 2D;
TEX R0.x, R0, texture[0], 2D;
ADD R0.x, R1.y, R0;
ADD R0.y, R0.x, R1.x;
ADD R0.zw, R3, R1;
ADD R1.xy, R3.zwzw, R2.zwzw;
TEX R0.x, R0.zwzw, texture[0], 2D;
ADD R0.x, R0.y, R0;
TEX R1.x, R1, texture[0], 2D;
ADD R0.x, R0, R1;
MUL R0.y, R0.x, R4.x;
SLT R0.x, R0, c[5].y;
MUL result.color, R0.y, c[1];
KIL -R0.x;
END
# 69 instructions, 5 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Color]
Float 2 [_ScrollSpeed1]
Float 3 [_ScrollSpeed2]
Float 4 [_BoxRadius]
SetTexture 0 [_MainTex] 2D
"ps_3_0
; 55 ALU, 17 TEX
dcl_2d s0
def c5, 0.00000000, -0.00390625, 1.00000000, 0
dcl_texcoord0 v0.xy
mov r0.x, c2
mov r3.x, -c4
mov r1.y, c4.x
mov r1.x, c5
mov r2.z, -c4.x
mov r1.z, c4.x
mov r0.w, -c4.x
mov r0.z, c5.x
mov r0.y, c5.x
mul r0.x, c0.y, r0
add r3.zw, v0.xyxy, r0.xyxy
add r2.xy, r3.zwzw, r1
mov r3.y, c4.x
add r0.xy, r3.zwzw, r3
texld r0.x, r0, s0
texld r2.x, r2, s0
add r4.xy, r3.zwzw, c4.x
add r0.y, r0.x, r2.x
texld r0.x, r4, s0
mov r2.w, c5.x
add r2.xy, r3.zwzw, r2.zwzw
add r0.y, r0, r0.x
texld r0.x, r2, s0
mov r1.w, c5.x
add r2.xy, r3.zwzw, r1.zwzw
add r0.y, r0, r0.x
texld r0.x, r2, s0
add r2.xy, r3.zwzw, -c4.x
add r0.y, r0, r0.x
texld r0.x, r2, s0
add r2.xy, r3.zwzw, r0.zwzw
add r0.y, r0, r0.x
texld r0.x, r2, s0
add r0.y, r0, r0.x
mov r2.y, -c4.x
mov r2.x, c4
add r4.xy, r3.zwzw, r2
texld r0.x, r4, s0
add r4.x, r0.y, r0
mov r3.z, c3.x
mul r0.y, c0, r3.z
mov r0.x, c5
add r3.zw, v0.xyxy, r0.xyxy
add r0.xy, r1, r3.zwzw
add r1.xy, r3, r3.zwzw
texld r0.y, r0, s0
texld r1.y, r1, s0
add r3.x, r1.y, r0.y
add r1.xy, r2.zwzw, r3.zwzw
add r0.xy, r3.zwzw, c4.x
texld r0.y, r0, s0
texld r1.y, r1, s0
add r0.x, r3, r0.y
add r2.z, r0.x, r1.y
add r0.xy, r1.zwzw, r3.zwzw
texld r0.y, r0, s0
add r1.xy, r3.zwzw, -c4.x
texld r1.y, r1, s0
add r0.x, r2.z, r0.y
add r1.z, r0.x, r1.y
add r0.xy, r0.zwzw, r3.zwzw
texld r0.y, r0, s0
add r1.xy, r2, r3.zwzw
add r0.x, r1.z, r0.y
texld r1.y, r1, s0
add r0.y, r0.x, r1
mul_pp r1.x, r4, r0.y
add_pp r4.y, r4.x, c5
cmp_pp r0.x, r4.y, c5, c5.z
mov_pp r0, -r0.x
mul_pp oC0, r1.x, c1
texkill r0.xyzw
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 44 used size, 5 vars
Vector 16 [_Color] 4
Float 32 [_ScrollSpeed1]
Float 36 [_ScrollSpeed2]
Float 40 [_BoxRadius]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
// 57 instructions, 7 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 16 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 70

	}
}

// fallback
SubShader {
	Pass {
	}
}

}
