// Copyright 2014 DeathByNukes
// rotates the model on the Y axis so it always faces the camera

Shader "BG/exit/cloudjet" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
	_ScrollTime ("Scroll time", Float) = 0
	_ScrollTime2 ("Scroll time 2", Float) = 0
	_Intensity ("Intensity", Range(0,1)) = 0
}

SubShader {
	Tags {"Queue" = "Transparent" }
	Pass {
		Fog { Mode Off }
		ZWrite Off
		Blend One One // Add
		//Blend One OneMinusSrcColor // AddSmooth
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 57 to 57
//   d3d9 - ALU: 64 to 64
//   d3d11 - ALU: 30 to 30, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 9 [_WorldSpaceCameraPos]
Matrix 5 [_Object2World]
"!!ARBvp1.0
# 57 ALU
PARAM c[15] = { { 3.141593, 1.570796, -0.01348047, 0.05747731 },
		state.matrix.mvp,
		program.local[5..9],
		{ 0.1212391, 0.1956359, 0.33299461, 0.99999559 },
		{ 0.15915491, 1, -1, 0.5 },
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.y, c[7].w;
MOV R0.x, c[5].w;
ADD R0.zw, -R0.xyxy, c[9].xyxz;
ABS R0.x, R0.w;
ABS R0.y, R0.z;
MAX R0.z, R0.y, R0.x;
RCP R0.w, R0.z;
MIN R0.z, R0.y, R0.x;
MUL R0.z, R0, R0.w;
MUL R0.w, R0.z, R0.z;
MAD R1.x, R0.w, c[0].z, c[0].w;
MAD R1.x, R1, R0.w, -c[10];
MAD R1.x, R1, R0.w, c[10].y;
MAD R1.x, R1, R0.w, -c[10].z;
MAD R0.w, R1.x, R0, c[10];
MUL R0.z, R0.w, R0;
SLT R0.y, R0, R0.x;
ADD R0.w, -R0.z, -R0.z;
ADD R0.x, R0.w, c[0].y;
MAD R0.z, R0.x, R0.y, R0;
MOV R0.xy, c[9].xzzw;
ADD R0.w, -R0.z, -R0.z;
SLT R1.x, -c[5].w, -R0;
ADD R0.x, R0.w, c[0];
MAD R0.x, R0, R1, R0.z;
SLT R0.z, -c[7].w, -R0.y;
ADD R0.y, -R0.x, -R0.x;
MAD R0.x, R0.y, R0.z, R0;
MUL R0.x, R0, c[11];
FRC R1.z, R0.x;
SLT R0, R1.z, c[12];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[12].xxzz;
DP3 R1.x, R2, c[11].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[13].xyxy, c[13].zwzw;
MAD R1, R1, R2.zzww, c[14].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[11].yyzz;
DP4 R1.z, R0, c[11].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R1.xy, vertex.position.xzzw, R0;
MUL R0.xy, R0.wzzw, vertex.position.xzzw;
ADD R1.x, R1, R1.y;
ADD R1.y, R0.x, R0;
MOV R0.yw, vertex.position;
MOV R0.xz, R1.xyyw;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 57 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
"vs_2_0
; 64 ALU
def c9, 0.00000000, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 1.00000000, 3.14159298, 0.15915491, 0.50000000
def c12, 6.28318501, -3.14159298, 0, 0
def c13, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c14, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
dcl_texcoord0 v1
mov r0.y, c6.w
mov r0.x, c4.w
add r0.zw, -r0.xyxy, c8.xyxz
abs r0.x, r0.w
abs r0.w, r0.z
max r0.y, r0.w, r0.x
rcp r0.z, r0.y
min r0.y, r0.w, r0.x
mul r0.z, r0.y, r0
mul r0.y, r0.z, r0.z
mad r1.x, r0.y, c9.y, c9.z
slt r0.x, r0.w, r0
mad r1.x, r1, r0.y, c9.w
mad r0.w, r1.x, r0.y, c10.x
mad r0.w, r0, r0.y, c10.y
mad r0.y, r0.w, r0, c10.z
max r0.x, -r0, r0
slt r0.x, c9, r0
mul r0.y, r0, r0.z
add r0.w, -r0.x, c11.x
mul r0.z, r0.y, r0.w
add r0.y, -r0, c10.w
mad r0.x, r0, r0.y, r0.z
mov r0.z, c8.x
slt r0.w, -c4, -r0.z
add r0.y, -r0.x, c11
max r1.x, -r0.w, r0.w
mov r0.z, c8
slt r0.w, -c6, -r0.z
slt r0.z, c9.x, r1.x
add r1.x, -r0.z, c11
mul r0.x, r0, r1
max r0.w, -r0, r0
slt r0.w, c9.x, r0
mad r0.x, r0.z, r0.y, r0
add r1.x, -r0.w, c11
mul r0.y, r0.x, r1.x
mad r0.x, r0.w, -r0, r0.y
mad r0.x, r0, c11.z, c11.w
frc r0.x, r0
mad r1.x, r0, c12, c12.y
sincos r0.xy, r1.x, c13.xyzw, c14.xyzw
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
mul r0.xy, r0.yxzw, v0.xzzw
add r1.x, r0.z, r0.w
add r1.y, r0.x, r0
mov r0.yw, v0
mov r0.xz, r1.xyyw
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "UnityPerCamera" 0
BindCB "UnityPerDraw" 1
// 36 instructions, 3 temp regs, 0 temp arrays:
// ALU 27 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 37 to 37, TEX: 2 to 2
//   d3d9 - ALU: 36 to 36, TEX: 2 to 2
//   d3d11 - ALU: 18 to 18, TEX: 2 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Float 1 [_ScrollTime]
Float 2 [_ScrollTime2]
Float 3 [_Intensity]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 37 ALU, 2 TEX
PARAM c[5] = { program.local[0..3],
		{ 1, 0, 0.5, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.y, c[1].x;
MOV R0.x, c[4].y;
ADD R0.zw, fragment.texcoord[0].xyxy, R0.xyxy;
MOV R0.y, c[2].x;
MOV R0.x, c[4].y;
ADD R1.xy, fragment.texcoord[0], R0;
TEX R0.y, R1, texture[0], 2D;
TEX R0.x, R0.zwzw, texture[0], 2D;
MOV R1.xyz, c[0];
MAD R1.xyz, R1, c[4].z, c[4].z;
MAX R0.z, R1.x, R1.y;
MAX R0.z, R1, R0;
ABS R0.w, R0.z;
RCP R1.w, R0.z;
ADD R0.z, fragment.texcoord[0].x, -c[4];
CMP R1.w, -R0, R1, c[4];
ADD R0.x, R0, R0.y;
ABS R0.z, R0;
MAD R0.y, -R0.z, c[4].w, c[4].x;
MUL R0.x, R0, R0.y;
ADD R0.z, -fragment.texcoord[0].y, c[3].x;
MUL R0.w, R0.x, R0.z;
MIN R0.x, R0.w, R1.w;
ADD R2.x, R0.w, -c[4];
MUL R0.xyz, R1, R0.x;
ADD R1.w, R0, -R1;
CMP R1.w, -R2.x, R1, R0;
CMP R0.xyz, -R2.x, R0, R1;
MUL R1.xyz, R0, R1.w;
MAX R1.w, R1, c[4].y;
ADD R0.xyz, R0, R1.w;
SLT R0.w, c[4].x, R0;
ABS R0.w, R0;
CMP R2.x, -R0.w, c[4].y, c[4];
MOV R0.w, c[4].y;
MOV R1.w, c[4].y;
CMP result.color, -R2.x, R1, R0;
END
# 37 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Float 1 [_ScrollTime]
Float 2 [_ScrollTime2]
Float 3 [_Intensity]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 36 ALU, 2 TEX
dcl_2d s0
def c4, 0.00000000, -0.50000000, 2.00000000, 1.00000000
def c5, -1.00000000, 0.50000000, 0, 0
dcl t0.xy
mov r0.y, c2.x
mov r0.x, c4
add r0.xy, t0, r0
mov r1.y, c1.x
mov r1.x, c4
add r1.xy, t0, r1
mov_pp r1.w, c4.x
mov_pp r2.w, c4.x
texld r4, r1, s0
texld r0, r0, s0
mov_pp r1.xyz, c0
mad_pp r3.xyz, r1, c5.y, c5.y
max_pp r0.x, r3, r3.y
max_pp r1.x, r3.z, r0
rcp_pp r0.x, r1.x
abs_pp r1.x, r1
cmp_pp r1.x, -r1, c4.z, r0
add r0.x, t0, c4.y
abs r2.x, r0
add r0.x, r4, r0.y
mad r4.x, -r2, c4.z, c4.w
mul r0.x, r0, r4
add r2.x, -t0.y, c3
mul r0.x, r0, r2
min_pp r2.x, r0, r1
mul_pp r4.xyz, r3, r2.x
add_pp r2.x, r0, c5
add_pp r1.x, r0, -r1
cmp_pp r1.x, -r2, r0, r1
cmp_pp r3.xyz, -r2.x, r3, r4
mul_pp r2.xyz, r3, r1.x
add_pp r0.x, -r0, c4.w
max_pp r1.x, r1, c4
cmp_pp r0.x, r0, c4, c4.w
add_pp r1.xyz, r3, r1.x
abs_pp r0.x, r0
cmp_pp r0, -r0.x, r2, r1
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 44 used size, 5 vars
Vector 16 [_Color] 4
Float 32 [_ScrollTime]
Float 36 [_ScrollTime2]
Float 40 [_Intensity]
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 25 instructions, 2 temp regs, 0 temp arrays:
// ALU 18 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 63

	}
}
}
