// 2014 DeathByNukes

Shader "BG/exit/visualizer_hack" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
	_Scale ("Scale", Vector) = (1,1,1,1)
}

SubShader {
	Tags {"Queue" = "Transparent" }
	#LINE 13

	Pass {
		Fog { Mode Off }
		ZWrite Off
		Blend One One // Add
		//Blend One OneMinusSrcColor // AddSmooth
		Cull Off // back faces
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 17 to 17
//   d3d9 - ALU: 17 to 17
//   d3d11 - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 5 [_Color]
Vector 6 [_Scale]
"!!ARBvp1.0
# 17 ALU
PARAM c[7] = { { 2, 0.125 },
		state.matrix.mvp,
		program.local[5..6] };
TEMP R0;
MUL R0.xy, vertex.position.xzzw, vertex.position.xzzw;
ADD R0.x, R0, R0.y;
RSQ R0.x, R0.x;
RCP R0.x, R0.x;
MAD R0.z, -vertex.position.y, c[0].y, R0.x;
ADD R0.y, R0.x, -c[0].x;
RCP R0.x, R0.z;
MOV R0.w, vertex.position;
MUL R0.xz, vertex.position, R0.x;
MUL R0, R0, c[6];
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color.xyz, c[5];
MOV result.texcoord[0].xy, vertex.texcoord[0];
MOV result.color.w, vertex.color;
END
# 17 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Color]
Vector 5 [_Scale]
"vs_2_0
; 17 ALU
def c6, -2.00000000, 0.12500000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mul r0.xy, v0.xzzw, v0.xzzw
add r0.x, r0, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
mad r0.z, -v0.y, c6.y, r0.x
add r0.y, r0.x, c6.x
rcp r0.x, r0.z
mov r0.w, v0
mul r0.xz, v0, r0.x
mul r0, r0, c5
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oD0.xyz, c4
mov oT0.xy, v1
mov oD0.w, v2
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 16 [_Color] 4
Vector 32 [_Scale] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 15 instructions, 2 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecednedlgepoacfgngplgldmmlknoalhlcjiabaaaaaadeadaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaiaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcbmacaaaaeaaaabaaihaaaaaa
fjaaaaaeegiocaaaaaaaaaaaadaaaaaafjaaaaaeegiocaaaabaaaaaaaeaaaaaa
fpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaafpaaaaadicbabaaa
acaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
gfaaaaadpccabaaaacaaaaaagiaaaaacacaaaaaaapaaaaahbcaabaaaaaaaaaaa
igbabaaaaaaaaaaaigbabaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaaaaaaaaaaabeaaaaa
aaaaaadoakaabaaaaaaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaaaamaaoaaaaahfcaabaaaabaaaaaaagbcbaaaaaaaaaaafgafbaaa
aaaaaaaadgaaaaaficaabaaaabaaaaaadkbabaaaaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaabaaaaaaegiocaaaaaaaaaaaacaaaaaadiaaaaaipcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiocaaaabaaaaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaabaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpcaabaaaabaaaaaaegiocaaaabaaaaaaacaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaabaaaaaaadaaaaaa
pgapbaaaaaaaaaaaegaobaaaabaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaa
abaaaaaadgaaaaaghccabaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaadgaaaaaf
iccabaaaacaaaaaadkbabaaaacaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 4 to 4, TEX: 1 to 1
//   d3d9 - ALU: 4 to 4, TEX: 1 to 1
//   d3d11 - ALU: 2 to 2, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 4 ALU, 1 TEX
PARAM c[1] = { { 0 } };
TEMP R0;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R0.xyz, R0, fragment.color.primary;
MUL result.color.xyz, R0, fragment.color.primary.w;
MOV result.color.w, c[0].x;
END
# 4 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 4 ALU, 1 TEX
dcl_2d s0
def c0, 0.00000000, 0, 0, 0
dcl t0.xy
dcl v0
texld r0, t0, s0
mul r0.xyz, r0, v0
mov_pp r0.w, c0.x
mul_pp r0.xyz, r0, v0.w
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
SetTexture 0 [_MainTex] 2D 0
// 5 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfcmmaopfelpddnafolfgnbebnijeooikabaaaaaakaabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmeaaaaaaeaaaaaaa
dbaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
gcbaaaaddcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacabaaaaaaefaaaaajpcaabaaaaaaaaaaaegbabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegbcbaaaacaaaaaadiaaaaahhccabaaaaaaaaaaaegacbaaaaaaaaaaa
pgbpbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaaaaadoaaaaab
"
}

}

#LINE 67

	}
}
}
