﻿// 2014 DeathByNukes

Shader "BG/ring_visualizer" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Colour ("Tint", Color) = (1,1,1,1)
	_SpinSpeed ("Y rotation speed (radians per second)", float) = 0
}


SubShader {
	Tags {"Queue" = "Transparent" }

	Fog { Mode Off }
	ZWrite Off
	Blend One One // Add
	//Blend One OneMinusSrcColor // AddSmooth
	Cull Off // back faces
	#LINE 49

	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 32 to 32
//   d3d9 - ALU: 29 to 29
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 5 [_Time]
Float 6 [_SpinSpeed]
"!!ARBvp1.0
# 32 ALU
PARAM c[10] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..6],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[5].y;
MUL R0.x, R0, c[6];
MUL R0.x, R0, c[0];
FRC R1.z, R0.x;
SLT R0, R1.z, c[7];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[7].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[8].xyxy, c[8].zwzw;
MAD R1, R1, R2.zzww, c[9].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[0].yyzz;
DP4 R1.z, R0, c[0].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R1.xy, vertex.position.xzzw, R0;
MUL R0.xy, R0.wzzw, vertex.position.xzzw;
ADD R1.x, R1, R1.y;
ADD R1.y, R0.x, R0;
MOV R0.yw, vertex.position;
MOV R0.xz, R1.xyyw;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 32 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Time]
Float 5 [_SpinSpeed]
"vs_2_0
; 29 ALU
def c6, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c7, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c8, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mov r0.x, c5
mul r0.x, c4.y, r0
mad r0.x, r0, c6, c6.y
frc r0.x, r0
mad r1.x, r0, c6.z, c6.w
sincos r0.xy, r1.x, c7.xyzw, c8.xyzw
mov r1.yw, v0
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.xz, r0.zyww
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
mov oD0, v2
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 36 used size, 3 vars
Float 32 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 14 instructions, 3 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemekbkifeimgiiddeblnlmpdmdcfblddabaaaaaacaadaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcaiacaaaaeaaaabaaicaaaaaa
fjaaaaaeegiocaaaaaaaaaaaadaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fjaaaaaeegiocaaaacaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
dcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaac
adaaaaaadiaaaaajbcaabaaaaaaaaaaaakiacaaaaaaaaaaaacaaaaaabkiacaaa
abaaaaaaaaaaaaaaenaaaaahbcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaa
aaaaaaaadgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaaf
ccaabaaaacaaaaaaakaabaaaabaaaaaadgaaaaafecaabaaaacaaaaaaakaabaaa
aaaaaaaaapaaaaahbcaabaaaaaaaaaaaggakbaaaacaaaaaaigbabaaaaaaaaaaa
apaaaaahccaabaaaaaaaaaaabgafbaaaacaaaaaaigbabaaaaaaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaafgafbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafdccabaaaabaaaaaa
egbabaaaabaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaaacaaaaaadoaaaaab
"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 5 to 5, TEX: 1 to 1
//   d3d9 - ALU: 5 to 5, TEX: 1 to 1
//   d3d11 - ALU: 3 to 3, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 5 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 0 } };
TEMP R0;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R0.xyz, R0, fragment.color.primary;
MUL R0.xyz, R0, c[0];
MUL result.color.xyz, R0, fragment.color.primary.w;
MOV result.color.w, c[1].x;
END
# 5 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 5 ALU, 1 TEX
dcl_2d s0
def c1, 0.00000000, 0, 0, 0
dcl t0.xy
dcl v0
texld r0, t0, s0
mul r0.xyz, r0, v0
mul r0.xyz, r0, c0
mov_pp r0.w, c1.x
mul_pp r0.xyz, r0, v0.w
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 3 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcgnjbikgeekaecgpioebilokfpklmlbpabaaaaaanaabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcpeaaaaaaeaaaaaaa
dnaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaacaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaadiaaaaah
hccabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaaaaadoaaaaab"
}

}

#LINE 60

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 33 to 33
//   d3d9 - ALU: 30 to 30
//   d3d11 - ALU: 9 to 9, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 5 [_Time]
Float 6 [_SpinSpeed]
"!!ARBvp1.0
# 33 ALU
PARAM c[10] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..6],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[5].y;
MUL R0.x, R0, c[6];
MUL R0.x, R0, c[0];
FRC R1.z, R0.x;
SLT R0, R1.z, c[7];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[7].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[8].xyxy, c[8].zwzw;
MAD R1, R1, R2.zzww, c[9].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[0].yyzz;
DP4 R1.z, R0, c[0].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R1.xy, vertex.position.xzzw, R0;
MUL R0.xy, R0.wzzw, vertex.position.xzzw;
ADD R1.x, R1, R1.y;
ADD R1.y, R0.x, R0;
MOV R0.yw, vertex.position;
MOV R0.xz, R1.xyyw;
MUL R0, R0, c[0].yzyy;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 33 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Time]
Float 5 [_SpinSpeed]
"vs_2_0
; 30 ALU
def c6, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c7, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c8, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c9, 1.00000000, -1.00000000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mov r0.x, c5
mul r0.x, c4.y, r0
mad r0.x, r0, c6, c6.y
frc r0.x, r0
mad r1.x, r0, c6.z, c6.w
sincos r0.xy, r1.x, c7.xyzw, c8.xyzw
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.yw, v0
mov r1.xz, r0.zyww
mul r0, r1, c9.xyxx
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oD0, v2
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 36 used size, 3 vars
Float 32 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedghmliaiggnkjcdmlbadcclnmjjngamplabaaaaaafmadaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefceeacaaaaeaaaabaajbaaaaaa
fjaaaaaeegiocaaaaaaaaaaaadaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fjaaaaaeegiocaaaacaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
dcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaac
adaaaaaadiaaaaajbcaabaaaaaaaaaaaakiacaaaaaaaaaaaacaaaaaabkiacaaa
abaaaaaaaaaaaaaaenaaaaahbcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaa
aaaaaaaadgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaaf
ccaabaaaacaaaaaaakaabaaaabaaaaaadgaaaaafecaabaaaacaaaaaaakaabaaa
aaaaaaaaapaaaaahecaabaaaaaaaaaaaggakbaaaacaaaaaaigbabaaaaaaaaaaa
apaaaaahbcaabaaaaaaaaaaabgafbaaaacaaaaaaigbabaaaaaaaaaaadgaaaaaf
kcaabaaaaaaaaaaafgbnbaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaialpaaaaiadpaaaaiadpdiaaaaaipcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaacaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpcaabaaaabaaaaaaegiocaaaacaaaaaaacaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaa
pgapbaaaaaaaaaaaegaobaaaabaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaa
abaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaaacaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 5 to 5, TEX: 1 to 1
//   d3d9 - ALU: 5 to 5, TEX: 1 to 1
//   d3d11 - ALU: 3 to 3, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 5 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 0 } };
TEMP R0;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R0.xyz, R0, fragment.color.primary;
MUL R0.xyz, R0, c[0];
MUL result.color.xyz, R0, fragment.color.primary.w;
MOV result.color.w, c[1].x;
END
# 5 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 5 ALU, 1 TEX
dcl_2d s0
def c1, 0.00000000, 0, 0, 0
dcl t0.xy
dcl v0
texld r0, t0, s0
mul r0.xyz, r0, v0
mul r0.xyz, r0, c0
mov_pp r0.w, c1.x
mul_pp r0.xyz, r0, v0.w
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 3 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcgnjbikgeekaecgpioebilokfpklmlbpabaaaaaanaabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcpeaaaaaaeaaaaaaa
dnaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaacaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaadiaaaaah
hccabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaaaaadoaaaaab"
}

}

#LINE 72

	}
}
}
