﻿// Copyright 2014 DeathByNukes

Shader "BG/struct_simple" {
Properties {
	_LightmapTex ("Lightmap (RGB)", 2D) = "black" {}
	_DetailTex ("Detail (RGB)", 2D) = "white" {}
	_FlowTex ("Flow (RGB)", 2D) = "black" {}
	
	_Color ("Batch per-object settings. (Negative Y scale, Y rotation, Unused, Unused)", Color) = (-1,0,0,0)
	_HighwayColor ("The current highway color with no scaling", Color) = (1,1,1,1)
	_Intensity ("The current intensity from 1 to 2", float) = 2
	
	_SpinSpeed ("Y rotation speed (radians per second)", float) = 0

	_ScaleDetailU ("Detail U Scale", float) = 1
	_ScaleDetailV ("Detail V Scale", float) = 1
	
	_ScaleFlowU ("Flow U Scale", float) = 1
	_ScaleFlowV ("Flow V Scale", float) = 1
	
	_ScrollFlowU ("Flow U Scroll Speed", float) = 0
	_ScrollFlowV ("Flow V Scroll Speed", float) = 0
	
	_ScrollFlow2U ("Flow 2 U Scroll Speed", float) = 0
	_ScrollFlow2V ("Flow 2 V Scroll Speed", float) = 0
}

SubShader {
	Pass {
		Fog { Mode Off }
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 57 to 57
//   d3d9 - ALU: 54 to 54
//   d3d11 - ALU: 14 to 14, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 9 [_Time]
Matrix 5 [_Object2World]
Vector 10 [_Color]
Float 11 [_SpinSpeed]
"!!ARBvp1.0
# 57 ALU
PARAM c[19] = { { 1, 0.15915491, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..11],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1, 12.9898, 78.233002 },
		{ 24.980801, -24.980801, -60.145809, 60.145809 },
		{ 0, 0.5, 1, 43758.547 },
		{ 85.453789, -85.453789, -64.939346, 64.939346 },
		{ 19.73921, -19.73921, -9, 0.75 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
MOV R0.x, c[9].y;
MUL R0.x, R0, c[11];
ADD R0.x, R0, c[10].z;
MUL R0.x, R0, c[0].y;
FRC R1.z, R0.x;
SLT R0, R1.z, c[12];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[12].xxzz;
DP3 R1.x, R2, c[0].wwxw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[13].xyxy, c[13].zwzw;
MAD R1, R1, R2.zzww, c[14].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R2.y, R0, c[0].xxzz;
DP4 R2.x, R0, c[0].xzzx;
MUL R0.xy, R2, R1;
MOV R1.w, c[7];
MOV R1.z, c[5].w;
MUL R1.zw, R1, c[14];
ADD R0.z, R1, R1.w;
MUL R0.w, R0.z, c[0].y;
ADD R1.x, R0.w, -c[12];
FRC R2.w, R1.x;
MUL R1.zw, R0.xyyx, vertex.position.xyxz;
ADD R2.xyz, -R2.w, c[16];
MUL R2.xyz, R2, R2;
ADD R1.y, R1.z, R1.w;
MOV R0.z, R0.x;
MOV R0.w, -R0.y;
MUL R0.zw, vertex.position.xyxz, R0;
ADD R1.x, R0.z, R0.w;
MOV R1.xz, R1.xyyw;
MAD R0.xyz, R2, c[15].xyxw, c[15].zwzw;
MAD R0.xyz, R0, R2, c[17].xyxw;
MAD R3.xyz, R0, R2, c[17].zwzw;
MOV R1.yw, vertex.position;
MOV R0.xzw, c[0].x;
MOV R0.y, -c[10].x;
MUL R0, R1, R0;
MAD R1.xyz, R3, R2, c[18].xyxw;
MAD R2.xyz, R1, R2, c[0].zxzw;
SLT R3.x, R2.w, c[12];
SGE R3.yz, R2.w, c[18].xzww;
MOV R1.xz, R3;
DP3 R1.y, R3, c[0].zxzw;
DP3 R1.x, R2, -R1;
MUL R1.x, R1, c[16].w;
FRC R1.x, R1;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
ADD result.texcoord[0].z, vertex.texcoord[0].y, R1.x;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 57 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_Time]
Matrix 4 [_Object2World]
Vector 9 [_Color]
Float 10 [_SpinSpeed]
"vs_2_0
; 54 ALU
def c11, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c12, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c13, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c14, 12.98980045, 78.23300171, 43758.54687500, 0
dcl_position0 v0
dcl_texcoord0 v1
mov r0.x, c10
mul r0.x, c8.y, r0
add r0.x, r0, c9.z
mad r0.x, r0, c11, c11.y
frc r0.x, r0
mad r1.x, r0, c11.z, c11.w
sincos r0.xy, r1.x, c12.xyzw, c13.xyzw
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.y, c6.w
mov r1.x, c4.w
mul r1.xy, r1, c14
add r1.x, r1, r1.y
mad r0.x, r1, c11, c11.y
frc r0.y, r0.x
mov r1.xz, r0.zyww
mad r2.x, r0.y, c11.z, c11.w
mov r0.xzw, c13.z
mov r0.y, -c9.x
mov r1.yw, v0
mul r1, r1, r0
sincos r0.xy, r2.x, c12.xyzw, c13.xyzw
mul r0.x, r0.y, c14.z
frc r0.x, r0
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
add oT0.z, v1.y, -r0.x
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 96 // 56 used size, 13 vars
Vector 32 [_Color] 4
Float 52 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 3 temp regs, 0 temp arrays:
// ALU 14 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaopmfigjcoomjjmafiaidphoaidjakkaabaaaaaajeadaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcleacaaaa
eaaaabaaknaaaaaafjaaaaaeegiocaaaaaaaaaaaaeaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagiaaaaacadaaaaaadcaaaaambcaabaaaaaaaaaaa
bkiacaaaaaaaaaaaadaaaaaabkiacaaaabaaaaaaaaaaaaaackiacaaaaaaaaaaa
acaaaaaaenaaaaahbcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaaaaaaaaaa
dgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaafccaabaaa
acaaaaaaakaabaaaabaaaaaadgaaaaafecaabaaaacaaaaaaakaabaaaaaaaaaaa
apaaaaahccaabaaaaaaaaaaaggakbaaaacaaaaaaigbabaaaaaaaaaaaapaaaaah
bcaabaaaaaaaaaaabgafbaaaacaaaaaaigbabaaaaaaaaaaadgaaaaafmcaabaaa
aaaaaaaapgbhbaaaaaaaaaaadiaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akiacaiaebaaaaaaaaaaaaaaacaaaaaadiaaaaaipcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaacaaaaaaacaaaaaafgafbaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaaapaaaaalbcaabaaaaaaaaaaaigiacaaaacaaaaaaapaaaaaa
aceaaaaadjngepebemhhjmecaaaaaaaaaaaaaaaaenaaaaagbcaabaaaaaaaaaaa
aanaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaimoockehbkaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
eccabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaabkbabaaaabaaaaaadgaaaaaf
dccabaaaabaaaaaaegbabaaaabaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 39 to 39, TEX: 4 to 4
//   d3d9 - ALU: 40 to 40, TEX: 4 to 4
//   d3d11 - ALU: 22 to 22, TEX: 4 to 4, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_HighwayColor]
Float 2 [_Intensity]
Float 3 [_ScaleDetailU]
Float 4 [_ScaleDetailV]
Float 5 [_ScaleFlowU]
Float 6 [_ScaleFlowV]
Float 7 [_ScrollFlowU]
Float 8 [_ScrollFlowV]
Float 9 [_ScrollFlow2U]
Float 10 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"!!ARBfp1.0
# 39 ALU, 4 TEX
PARAM c[12] = { program.local[0..10],
		{ 1, 0, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R1.y, c[10].x;
MOV R1.x, c[9];
MOV R0.y, c[6].x;
MOV R0.x, c[5];
MUL R0.xy, fragment.texcoord[0].xzzw, R0;
MOV R0.z, c[7].x;
MOV R0.w, c[8].x;
MAD R0.zw, R0, c[0].y, R0.xyxy;
MAD R0.xy, R1, c[0].y, R0;
FRC R1.xy, R0.zwzw;
FRC R0.xy, R0;
MOV R0.w, c[4].x;
MOV R0.z, c[3].x;
MUL R0.zw, fragment.texcoord[0].xyxz, R0;
TEX R2.x, R0.zwzw, texture[0], 2D;
TEX R0.y, R0, texture[1], 2D;
TEX R0.x, R1, texture[1], 2D;
TEX R1.x, fragment.texcoord[0], texture[2], 2D;
MUL R0.z, R2.x, R0.x;
MAX R0.w, c[1].x, c[1].y;
MAX R0.x, R0.w, c[1].z;
MUL R0.w, R1.x, c[2].x;
MAD R0.y, R0.z, R0, R0.w;
RCP R1.x, R0.x;
ABS R0.x, R0;
CMP R0.x, -R0, R1, c[11].z;
ADD R0.w, R0.y, -R0.x;
ADD R0.z, R0.y, -c[11].x;
CMP R0.w, -R0.z, R0, R0.y;
MAX R1.w, R0, c[11].y;
MUL R1.xyz, R0.w, c[1];
SLT R0.z, c[11].x, R0.y;
ABS R0.w, R0.z;
CMP R2.x, -R0.w, c[11].y, c[11];
MIN R0.x, R0.y, R0;
MAD R0.xyz, R0.x, c[1], R1.w;
MOV R0.w, c[11].y;
MOV R1.w, c[11].y;
CMP result.color, -R2.x, R1, R0;
END
# 39 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_HighwayColor]
Float 2 [_Intensity]
Float 3 [_ScaleDetailU]
Float 4 [_ScaleDetailV]
Float 5 [_ScaleFlowU]
Float 6 [_ScaleFlowV]
Float 7 [_ScrollFlowU]
Float 8 [_ScrollFlowV]
Float 9 [_ScrollFlow2U]
Float 10 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"ps_2_0
; 40 ALU, 4 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c11, 1.00000000, 0.00000000, -1.00000000, 2.00000000
dcl t0.xyz
mov r0.x, t0
mov r0.y, t0.z
mov r1.y, c4.x
mov r1.x, c3
mul r1.xy, r0, r1
mov r0.x, t0
mov r0.y, t0.z
mov r2.y, c6.x
mov r2.x, c5
mul r2.xy, r0, r2
mov r0.x, c7
mov r0.y, -c8.x
mad r3.xy, r0, c0.y, r2
frc r3.xy, r3
mov r0.y, -c10.x
mov r0.x, c9
mad r0.xy, r0, c0.y, r2
frc r0.xy, r0
mov_pp r4.w, c11.y
texld r0, r0, s1
texld r1, r1, s0
texld r2, t0, s2
texld r3, r3, s1
max_pp r0.x, c1, c1.y
mul r1.x, r1, r3
max_pp r0.x, r0, c1.z
rcp_pp r3.x, r0.x
mul r2.x, r2, c2
mad r1.x, r1, r0.y, r2
abs_pp r0.x, r0
cmp_pp r0.x, -r0, c11.w, r3
add_pp r3.x, r1, -r0
add_pp r2.x, r1, c11.z
cmp_pp r3.x, -r2, r1, r3
mul_pp r4.xyz, r3.x, c1
add_pp r2.x, -r1, c11
min_pp r0.x, r1, r0
max_pp r3.x, r3, c11.y
mad_pp r1.xyz, r0.x, c1, r3.x
cmp_pp r2.x, r2, c11.y, c11
abs_pp r0.x, r2
mov_pp r1.w, c11.y
cmp_pp r0, -r0.x, r4, r1
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 96 // 88 used size, 13 vars
Vector 16 [_HighwayColor] 4
Float 48 [_Intensity]
Float 56 [_ScaleDetailU]
Float 60 [_ScaleDetailV]
Float 64 [_ScaleFlowU]
Float 68 [_ScaleFlowV]
Float 72 [_ScrollFlowU]
Float 76 [_ScrollFlowV]
Float 80 [_ScrollFlow2U]
Float 84 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DetailTex] 2D 1
SetTexture 1 [_FlowTex] 2D 2
SetTexture 2 [_LightmapTex] 2D 0
// 30 instructions, 3 temp regs, 0 temp arrays:
// ALU 22 float, 0 int, 0 uint
// TEX 4 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedceeahnkpdfcfolcfgnefbolcmilhpklpabaaaaaacaafaaaaadaaaaaa
cmaaaaaaieaaaaaaliaaaaaaejfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgaaeaaaa
eaaaaaaabiabaaaafjaaaaaeegiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaadiaaaaaj
bcaabaaaaaaaaaaackiacaaaaaaaaaaaaeaaaaaabkiacaaaabaaaaaaaaaaaaaa
diaaaaakccaabaaaaaaaaaaadkiacaiaebaaaaaaaaaaaaaaaeaaaaaabkiacaaa
abaaaaaaaaaaaaaadcaaaaakdcaabaaaaaaaaaaaigbabaaaabaaaaaaegiacaaa
aaaaaaaaaeaaaaaaegaabaaaaaaaaaaabkaaaaafdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaefaaaaajpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaadiaaaaaigcaabaaaaaaaaaaaagbcbaaaabaaaaaakgilcaaa
aaaaaaaaadaaaaaaefaaaaajpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaajbcaabaaaabaaaaaaakiacaaaaaaaaaaaafaaaaaa
bkiacaaaabaaaaaaaaaaaaaadiaaaaakccaabaaaabaaaaaabkiacaiaebaaaaaa
aaaaaaaaafaaaaaabkiacaaaabaaaaaaaaaaaaaadcaaaaakgcaabaaaaaaaaaaa
agbcbaaaabaaaaaaagibcaaaaaaaaaaaaeaaaaaaagabbaaaabaaaaaabkaaaaaf
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaajgafbaaa
aaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaa
egbabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaaiccaabaaa
aaaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaaadaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaabkaabaaaaaaaaaaadeaaaaaj
ccaabaaaaaaaaaaabkiacaaaaaaaaaaaabaaaaaaakiacaaaaaaaaaaaabaaaaaa
deaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackiacaaaaaaaaaaaabaaaaaa
biaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaaoaaaaak
ccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbkaabaaa
aaaaaaaadhaaaaajccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaea
bkaabaaaaaaaaaaaaaaaaaaiecaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaa
akaabaaaaaaaaaaaddaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaa
aaaaaaaadeaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaakocaabaaaaaaaaaaaagijcaaaaaaaaaaaabaaaaaafgafbaaaaaaaaaaa
kgakbaaaaaaaaaaadbaaaaahbcaabaaaabaaaaaaabeaaaaaaaaaiadpakaabaaa
aaaaaaaadiaaaaaiocaabaaaabaaaaaaagaabaaaaaaaaaaaagijcaaaaaaaaaaa
abaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaabaaaaaajgahbaaaaaaaaaaa
jgahbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaaaaadoaaaaab
"
}

}

#LINE 91

	}
}
}
