﻿// 2014 DeathByNukes

Shader "FG/LaneMarker" {
Properties {
	_MainTex ("More Magic (R = Aurora Color Scalar, G = Constant Color Scalar)", 2D) = "white" {}
	_Color ("Constant Color", Color) = (1,1,1,1)
	_AuroraScale ("Aurora (R) Color Scale", float) = 4
}

SubShader {
	Tags {"Queue" = "Transparent" }
	Pass {
		Fog { Mode Off }
		Colormask RGB ZWrite Off
		Blend One One // Add
		//Blend One OneMinusSrcColor // AddSmooth
		Cull Off // back faces
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 6 to 6
//   d3d9 - ALU: 6 to 6
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
"!!ARBvp1.0
# 6 ALU
PARAM c[5] = { program.local[0],
		state.matrix.mvp };
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 6 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 6 ALU
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mov oD0, v2
mov oT0.xy, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 7 instructions, 1 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaecmkfackfdnjoikpcimidpmmfffmfhdabaaaaaaeiacaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcdaabaaaaeaaaabaaemaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
dcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaac
abaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaaf
dccabaaaabaaaaaaegbabaaaabaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaa
acaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 17 to 17, TEX: 1 to 1
//   d3d9 - ALU: 17 to 17, TEX: 1 to 1
//   d3d11 - ALU: 11 to 11, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Float 1 [_AuroraScale]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 17 ALU, 1 TEX
PARAM c[3] = { program.local[0..1],
		{ 1, 0, 2, 3 } };
TEMP R0;
TEMP R1;
TEX R0.xy, fragment.texcoord[0], texture[0], 2D;
MUL R1.xyz, R0.y, c[0];
MUL R0.x, R0, c[1];
MAD R0.xyz, R0.x, fragment.color.primary, R1;
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
ADD_SAT R1.y, R1.x, -c[2].x;
SGE R0.w, c[2].x, R1.x;
MAD R1.z, -R1.y, c[2], c[2].w;
MUL R1.y, R1, R1;
ABS R0.w, R0;
MUL R1.y, R1, R1.z;
RCP R1.x, R1.x;
MAD R1.xyz, R0, R1.x, R1.y;
CMP R0.w, -R0, c[2].y, c[2].x;
CMP result.color.xyz, -R0.w, R1, R0;
MOV result.color.w, c[2].y;
END
# 17 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Float 1 [_AuroraScale]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 17 ALU, 1 TEX
dcl_2d s0
def c2, 1.00000000, 0.00000000, -1.00000000, 0
def c3, 2.00000000, 3.00000000, 0, 0
dcl t0.xy
dcl v0.xyz
texld r0, t0, s0
mul_pp r1.xyz, r0.y, c0
mul_pp r0.x, r0, c1
mad_pp r3.xyz, r0.x, v0, r1
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c2.z
add_pp r1.x, -r0, c2
mad_pp r2.x, -r4, c3, c3.y
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c2, c2.y
abs_pp r0.x, r1
mov_pp r0.w, c2.y
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 36 used size, 3 vars
Vector 16 [_Color] 4
Float 32 [_AuroraScale]
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedknondpmncaffmnlglpejnomiojkknicnabaaaaaapaacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcbeacaaaaeaaaaaaa
ifaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakiacaaaaaaaaaaaacaaaaaa
diaaaaaiocaabaaaaaaaaaaafgafbaaaaaaaaaaaagijcaaaaaaaaaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaacaaaaaajgahbaaa
aaaaaaaadeaaaaahicaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaaoaaaaah
hcaabaaaabaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaaacaaaahicaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpbnaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaiadpdkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaaaaaaeaeadiaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadhaaaaajhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaaaaadoaaaaab"
}

}

#LINE 56

	}
}
}
