// Copyright 2014 DeathByNukes

Shader "FG/TrackLaneDivider_AlphaGlow" {
Properties {
	_MainTex ("Highway (R), Intensity (G), Aurora (B)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)

	_HighwayScale ("Highway Color Scale", float) = 1
	_IntensityScale ("Intensity Color Scale", float) = 1
	_AuroraScale ("Aurora Color Scale", float) = 1
}

SubShader {
	Pass {
		//Fog { Mode Off }
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 6 to 6
//   d3d9 - ALU: 6 to 6
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
"!!ARBvp1.0
# 6 ALU
PARAM c[5] = { program.local[0],
		state.matrix.mvp };
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 6 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 6 ALU
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mov oD0, v2
mov oT0.xy, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 7 instructions, 1 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaecmkfackfdnjoikpcimidpmmfffmfhdabaaaaaaeiacaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcdaabaaaaeaaaabaaemaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
dcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaac
abaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaaf
dccabaaaabaaaaaaegbabaaaabaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaa
acaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 26 to 26, TEX: 1 to 1
//   d3d9 - ALU: 26 to 26, TEX: 1 to 1
//   d3d11 - ALU: 14 to 14, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
Float 1 [_HighwayScale]
Float 2 [_IntensityScale]
Float 3 [_AuroraScale]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 26 ALU, 1 TEX
PARAM c[5] = { program.local[0..3],
		{ 1, 0, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R1.xyz, fragment.color.primary, c[0];
MAX R0.w, R1.x, R1.y;
MAX R0.w, R1.z, R0;
ABS R1.w, R0;
RCP R0.w, R0.w;
MUL R0.y, R0, c[2].x;
CMP R1.w, -R1, R0, c[4].z;
MUL R0.y, fragment.color.primary.w, R0;
MAD R0.w, R0.x, c[1].x, R0.y;
MUL R0.x, R0.z, c[3];
MUL R0.y, fragment.color.primary.w, fragment.color.primary.w;
MAD R0.w, R0.x, R0.y, R0;
MIN R0.x, R0.w, R1.w;
ADD R1.w, R0, -R1;
ADD R2.x, R0.w, -c[4];
MUL R0.xyz, R1, R0.x;
CMP R0.xyz, -R2.x, R0, R1;
CMP R2.x, -R2, R1.w, R0.w;
SLT R0.w, c[4].x, R0;
ABS R1.w, R0;
MUL R1.xyz, R0, R2.x;
MOV R0.w, R2.x;
CMP R2.x, -R1.w, c[4].y, c[4];
MOV R1.w, c[4].y;
CMP result.color, -R2.x, R1, R0;
END
# 26 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
Float 1 [_HighwayScale]
Float 2 [_IntensityScale]
Float 3 [_AuroraScale]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 26 ALU, 1 TEX
dcl_2d s0
def c4, 1.00000000, 0.00000000, -1.00000000, 2.00000000
dcl t0.xy
dcl v0
texld r4, t0, s0
mul_pp r3.xyz, v0, c0
max_pp r1.x, r3, r3.y
max_pp r1.x, r3.z, r1
rcp_pp r2.x, r1.x
mul r0.x, r4.y, c2
mul r0.x, v0.w, r0
mad r0.x, r4, c1, r0
abs_pp r1.x, r1
cmp_pp r1.x, -r1, c4.w, r2
mul r2.x, r4.z, c3
mul_pp r4.x, v0.w, v0.w
mad r0.x, r2, r4, r0
min_pp r2.x, r0, r1
mul_pp r4.xyz, r3, r2.x
add_pp r2.x, r0, c4.z
add_pp r1.x, r0, -r1
cmp_pp r1.x, -r2, r0, r1
cmp_pp r3.xyz, -r2.x, r3, r4
add_pp r0.x, -r0, c4
cmp_pp r0.x, r0, c4.y, c4
mul_pp r2.xyz, r3, r1.x
mov_pp r3.w, r1.x
abs_pp r0.x, r0
mov_pp r2.w, c4.y
cmp_pp r0, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 44 used size, 5 vars
Vector 16 [_Color] 4
Float 32 [_HighwayScale]
Float 36 [_IntensityScale]
Float 40 [_AuroraScale]
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 19 instructions, 3 temp regs, 0 temp arrays:
// ALU 14 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbljiaogadaknafkdgpdlocilkbmnhaanabaaaaaahaadaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcjeacaaaaeaaaaaaa
kfaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaadiaaaaai
hcaabaaaaaaaaaaaegbcbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaadeaaaaah
icaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaa
aaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaabiaaaaahbcaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaadhaaaaajicaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaeadkaabaaaaaaaaaaaefaaaaaj
pcaabaaaabaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaaacaaaaaa
dcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaadkbabaaaacaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaadkbabaaaacaaaaaadkbabaaaacaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaaddaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aaaaaaaiicaabaaaacaaaaaadkaabaiaebaaaaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaaegacbaaaaaaaaaaafgafbaaaabaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaabeaaaaaaaaaiadpakaabaaaabaaaaaadgaaaaaficaabaaaaaaaaaaa
abeaaaaaaaaaaaaadhaaaaajpccabaaaaaaaaaaaagaabaaaabaaaaaaegaobaaa
acaaaaaaegaobaaaaaaaaaaadoaaaaab"
}

}

#LINE 59

	}
}
}
