﻿// 2014 DeathByNukes

// With this shader, the model will be placed in world space at the camera's position then plotted.

Shader "HUD/VisualizeCameraPos" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
	_Scale ("Scale", float) = 1
	
	// other things not listed here
}

SubShader {
	Tags {"Queue" = "Overlay+750" }
	// If you aren't using any shaders that ignore the depth buffer you can put the HUD at the very beginning of the queue instead.
	// It always writes the highest Z value so nothing should be able to go through it.
	// This will increase the speed because fragments of the scene under the HUD will never be drawn.
	
	Pass {
		Fog { Mode Off }
		//ZWrite Off
		//Blend SrcAlpha OneMinusSrcAlpha // Alpha
		//AlphaTest Greater 0.01
		Cull Off // back faces
		ZTest Always
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 15 to 15
//   d3d9 - ALU: 15 to 15
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 1 [_WorldSpaceCameraPos]
Float 2 [_OffsX]
Float 3 [_OffsY]
Float 4 [_MinX]
Float 5 [_MinY]
Float 6 [_ScaleX]
Float 7 [_ScaleY]
Vector 8 [_MainTex_ST]
Float 9 [_Scale]
"!!ARBvp1.0
# 15 ALU
PARAM c[10] = { { -1, 1 },
		program.local[1..9] };
TEMP R0;
TEMP R1;
MUL R0.xy, vertex.position.xzzw, c[9].x;
ADD R0.zw, R0.xyxy, c[1].xyxz;
MOV R0.y, c[5].x;
MOV R0.x, c[4];
ADD R1.xy, R0.zwzw, -R0;
MOV R0.z, c[6].x;
MOV R0.w, c[7].x;
MOV R0.y, c[3].x;
MOV R0.x, c[2];
MAD R0.xy, R1, R0.zwzw, R0;
MOV result.position.xy, R0;
MOV result.texcoord[1].xy, R0;
MOV result.color, vertex.color;
MOV result.position.zw, c[0].xyxy;
MAD result.texcoord[0].xy, vertex.texcoord[0], c[8], c[8].zwzw;
END
# 15 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 0 [_WorldSpaceCameraPos]
Float 1 [_OffsX]
Float 2 [_OffsY]
Float 3 [_MinX]
Float 4 [_MinY]
Float 5 [_ScaleX]
Float 6 [_ScaleY]
Vector 7 [_MainTex_ST]
Float 8 [_Scale]
"vs_2_0
; 15 ALU
def c9, 0.00000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mul r0.xy, v0.xzzw, c8.x
add r0.zw, r0.xyxy, c0.xyxz
mov r0.y, c4.x
mov r0.x, c3
add r1.xy, r0.zwzw, -r0
mov r0.z, c5.x
mov r0.w, c6.x
mov r0.y, c2.x
mov r0.x, c1
mad r0.xy, r1, r0.zwzw, r0
mov oPos.xy, r0
mov oT1.xy, r0
mov oD0, v2
mov oPos.zw, c9.xyxy
mad oT0.xy, v1, c7, c7.zwzw
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 96 // 84 used size, 12 vars
Float 16 [_OffsX]
Float 20 [_OffsY]
Float 32 [_MinX]
Float 36 [_MinY]
Float 40 [_ScaleX]
Float 44 [_ScaleY]
Vector 48 [_MainTex_ST] 4
Float 80 [_Scale]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
// 9 instructions, 1 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbbcjkkcpgapcpocdlbjiigfnapfomgphabaaaaaamaacaaaaadaaaaaa
cmaaaaaajmaaaaaaciabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapafaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
ieaaaaaaaeaaaaaaaiaaaaaagiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaheaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaaheaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaamadaaaahnaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaedepemepfcaaklfdeieefcjaabaaaaeaaaabaageaaaaaafjaaaaaeegiocaaa
aaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafpaaaaadfcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaae
pccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaadmccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaacabaaaaaadcaaaaaldcaabaaa
aaaaaaaaigbabaaaaaaaaaaaagiacaaaaaaaaaaaafaaaaaaigiacaaaabaaaaaa
aeaaaaaaaaaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaaegiacaiaebaaaaaa
aaaaaaaaacaaaaaadcaaaaaldcaabaaaaaaaaaaaegaabaaaaaaaaaaaogikcaaa
aaaaaaaaacaaaaaaegiacaaaaaaaaaaaabaaaaaadgaaaaafdccabaaaaaaaaaaa
egaabaaaaaaaaaaadgaaaaafmccabaaaabaaaaaaagaebaaaaaaaaaaadgaaaaai
mccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaal
dccabaaaabaaaaaaegbabaaaabaaaaaaegiacaaaaaaaaaaaadaaaaaaogikcaaa
aaaaaaaaadaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaaacaaaaaadoaaaaab
"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 11 to 11, TEX: 1 to 1
//   d3d9 - ALU: 15 to 15, TEX: 2 to 2
//   d3d11 - ALU: 7 to 7, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_OffsX]
Float 1 [_OffsY]
Float 2 [_ClipX]
Float 3 [_ClipY]
Vector 4 [_Color]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 11 ALU, 1 TEX
PARAM c[5] = { program.local[0..4] };
TEMP R0;
TEMP R1;
SLT R0.y, c[2].x, fragment.texcoord[1].x;
SLT R0.x, fragment.texcoord[1], c[0];
ADD_SAT R0.z, R0.x, R0.y;
SLT R0.x, fragment.texcoord[1].y, c[1];
SLT R0.y, c[3].x, fragment.texcoord[1];
ADD_SAT R0.x, R0.z, R0;
ADD_SAT R1.x, R0, R0.y;
TEX R0, fragment.texcoord[0], texture[0], 2D;
KIL -R1.x;
MUL R0, R0, fragment.color.primary;
MUL result.color, R0, c[4];
END
# 11 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_OffsX]
Float 1 [_OffsY]
Float 2 [_ClipX]
Float 3 [_ClipY]
Vector 4 [_Color]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 15 ALU, 2 TEX
dcl_2d s0
def c5, 0.00000000, 1.00000000, 0, 0
dcl t0.xy
dcl v0
dcl t1.xy
add r0.x, -t1, c2
add r1.x, t1, -c0
add r2.x, -t1.y, c3
cmp r1.x, r1, c5, c5.y
cmp r0.x, r0, c5, c5.y
add_pp_sat r0.x, r1, r0
add r1.x, t1.y, -c1
cmp r1.x, r1, c5, c5.y
add_pp_sat r0.x, r0, r1
cmp r2.x, r2, c5, c5.y
add_pp_sat r0.x, r0, r2
mov_pp r1, -r0.x
texld r0, t0, s0
texkill r1.xyzw
mul r0, r0, v0
mul r0, r0, c4
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 96 // 80 used size, 12 vars
Float 16 [_OffsX]
Float 20 [_OffsY]
Float 24 [_ClipX]
Float 28 [_ClipY]
Vector 64 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 10 instructions, 1 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhogkgpndlakekdcgplfbgheceigbaljmabaaaaaageacaaaaadaaaaaa
cmaaaaaaliaaaaaaomaaaaaaejfdeheoieaaaaaaaeaaaaaaaiaaaaaagiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaheaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaaheaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
amamaaaahnaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefchaabaaaaeaaaaaaafmaaaaaafjaaaaae
egiocaaaaaaaaaaaafaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaadmcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaa
dbaaaaaidcaabaaaaaaaaaaaogbkbaaaabaaaaaaegiacaaaaaaaaaaaabaaaaaa
dbaaaaaimcaabaaaaaaaaaaakgiocaaaaaaaaaaaabaaaaaakgbobaaaabaaaaaa
dmaaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaadmaaaaah
bcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadmaaaaahbcaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaaanaaaeadakaabaaaaaaaaaaa
efaaaaajpcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegbobaaaacaaaaaa
diaaaaaipccabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaa
doaaaaab"
}

}

#LINE 73

	}
}
}
