// Copyright 2013-2014 DeathByNukes

Shader "PP/AlphaGlowEnd" {
Properties {
	_BlurSize ("Blur Size", float) = 1
}

SubShader {
	Tags { "Queue"="Overlay+2" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }

	Cull Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
	ZWrite Off
	#LINE 20

	
	GrabPass { Tags { "LightMode" = "Always" } }
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.50000000, 1.00000000
def c2, 0.00000000, 1.00000000, 0, 0
dcl_texcoord0 v0
mad r0.zw, v0.xyxy, c1.x, c1.y
rcp r0.x, c0.x
rcp r0.y, c0.y
mad oPos.xy, -r0, c1.z, r0.zwzw
mov oPos.zw, c2.xyxy
add oT0.y, -v0, c1.w
mov oT0.x, v0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
// 4 instructions, 0 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjafonigjhanmapeplpgekdkdohkjncdcabaaaaaakmabaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcmmaaaaaa
eaaaabaaddaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaa
abaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaapdccabaaaabaaaaaaegbabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaialpaaaaaaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadp
aaaaaaaaaaaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 43 to 43, TEX: 9 to 9
//   d3d9 - ALU: 33 to 33, TEX: 10 to 10
//   d3d11 - ALU: 18 to 18, TEX: 9 to 9, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"!!ARBfp1.0
# 43 ALU, 9 TEX
PARAM c[6] = { program.local[0..1],
		{ -4, 0.050000001, 4, -3 },
		{ 0.090000004, 3, -2, 0.12 },
		{ 2, 0.15000001, 0.18000001, 0 },
		{ 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
RCP R0.x, c[0].x;
MUL R0.x, R0, c[1];
ADD R7.x, R0, fragment.texcoord[0];
MOV R7.y, fragment.texcoord[0];
ADD R6.x, -R0, fragment.texcoord[0];
MOV R6.y, fragment.texcoord[0];
MAD R5.x, R0, c[4], fragment.texcoord[0];
MOV R5.y, fragment.texcoord[0];
MAD R4.x, R0, c[3].z, fragment.texcoord[0];
MOV R4.y, fragment.texcoord[0];
MAD R3.x, R0, c[3].y, fragment.texcoord[0];
MOV R3.y, fragment.texcoord[0];
MAD R2.x, R0, c[2].w, fragment.texcoord[0];
MAD R1.x, R0, c[2].z, fragment.texcoord[0];
MOV R2.y, fragment.texcoord[0];
MOV R1.y, fragment.texcoord[0];
MOV R0.y, fragment.texcoord[0];
MAD R0.x, R0, c[2], fragment.texcoord[0];
TEX R8, R7, texture[0], 2D;
TEX R0, R0, texture[0], 2D;
TEX R1, R1, texture[0], 2D;
TEX R2, R2, texture[0], 2D;
TEX R3, R3, texture[0], 2D;
TEX R4, R4, texture[0], 2D;
TEX R5, R5, texture[0], 2D;
TEX R6, R6, texture[0], 2D;
TEX R7, fragment.texcoord[0], texture[0], 2D;
MUL R8, R8, c[4].y;
MAD R7, R7, c[4].z, R8;
MAD R6, R6, c[4].y, R7;
MAD R5, R5, c[3].w, R6;
MAD R4, R4, c[3].w, R5;
MAD R3, R3, c[3].x, R4;
MAD R2, R2, c[3].x, R3;
MAD R1, R1, c[2].y, R2;
MAD R0, R0, c[2].y, R1;
MOV R1.x, c[5];
ABS R2.xyz, R0;
CMP R1.xyz, -R2, c[4].w, R1.x;
MUL R1.x, R1, R1.y;
MUL R1.x, R1, R1.z;
MOV result.color, R0;
KIL -R1.x;
END
# 43 instructions, 9 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"ps_2_0
; 33 ALU, 10 TEX
dcl_2d s0
def c2, -4.00000000, 4.00000000, -3.00000000, 3.00000000
def c3, -2.00000000, 2.00000000, 0.15000001, 0.18000001
def c4, 0.12000000, 0.09000000, 0.05000000, 0
def c5, 1.00000000, 0.00000000, 0, 0
dcl t0.xy
rcp r0.x, c0.x
mul r3.x, r0, c1
add r1.x, -r3, t0
mad r2.x, r3, c3.y, t0
add r0.x, r3, t0
mov r0.y, t0
mov r1.y, t0
mov r2.y, t0
mad r4.x, r3, c3, t0
mov r4.y, t0
mad r5.x, r3, c2.w, t0
mov r5.y, t0
mad r6.x, r3, c2.z, t0
mad r7.x, r3, c2.y, t0
mov r6.y, t0
mov r7.y, t0
mov r3.y, t0
mad r3.x, r3, c2, t0
texld r8, r3, s0
texld r3, r2, s0
texld r2, r1, s0
texld r7, r7, s0
texld r6, r6, s0
texld r5, r5, s0
texld r4, r4, s0
texld r0, r0, s0
texld r1, t0, s0
mul r0, r0, c3.z
mad r0, r1, c3.w, r0
mad r0, r2, c3.z, r0
mad r0, r3, c4.x, r0
mad r0, r4, c4.x, r0
mad r0, r5, c4.y, r0
mad r0, r6, c4.y, r0
mad r0, r7, c4.z, r0
mad r0, r8, c4.z, r0
abs_pp r1.xyz, r0
cmp_pp r1.xyz, -r1, c5.x, c5.y
mul_pp r1.x, r1, r1.y
mul_pp r1.x, r1, r1.z
mov_pp r1, -r1.x
mov_pp oC0, r0
texkill r1.xyzw
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
// 36 instructions, 5 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 2 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 35

	}
	
	GrabPass { Tags { "LightMode" = "Always" } }
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.50000000, 1.00000000
def c2, 0.00000000, 1.00000000, 0, 0
dcl_texcoord0 v0
mad r0.zw, v0.xyxy, c1.x, c1.y
rcp r0.x, c0.x
rcp r0.y, c0.y
mad oPos.xy, -r0, c1.z, r0.zwzw
mov oPos.zw, c2.xyxy
add oT0.y, -v0, c1.w
mov oT0.x, v0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
// 4 instructions, 0 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjafonigjhanmapeplpgekdkdohkjncdcabaaaaaakmabaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcmmaaaaaa
eaaaabaaddaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaa
abaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaapdccabaaaabaaaaaaegbabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaialpaaaaaaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadp
aaaaaaaaaaaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 57 to 57, TEX: 10 to 10
//   d3d9 - ALU: 46 to 46, TEX: 10 to 10
//   d3d11 - ALU: 28 to 28, TEX: 10 to 10, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
SetTexture 1 [_DBN_PostProcessGlow] 2D
"!!ARBfp1.0
# 57 ALU, 10 TEX
PARAM c[6] = { program.local[0..1],
		{ 1, 0, 2, 0.18000001 },
		{ 0.15000001, 0.12, -2, 3 },
		{ 0.090000004, -3, 4, 0.050000001 },
		{ -4 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
TEMP R9;
RCP R0.x, c[0].y;
MUL R0.x, R0, c[1];
ADD R1.y, fragment.texcoord[0], R0.x;
ADD R1.w, fragment.texcoord[0].y, -R0.x;
MAD R2.y, R0.x, c[2].z, fragment.texcoord[0];
MOV R2.x, fragment.texcoord[0];
MAD R2.w, R0.x, c[3].z, fragment.texcoord[0].y;
MOV R2.z, fragment.texcoord[0].x;
MAD R3.y, R0.x, c[3].w, fragment.texcoord[0];
MOV R3.x, fragment.texcoord[0];
MAD R3.w, R0.x, c[4].y, fragment.texcoord[0].y;
MOV R3.z, fragment.texcoord[0].x;
MAD R0.w, R0.x, c[4].z, fragment.texcoord[0].y;
MAD R0.y, R0.x, c[5].x, fragment.texcoord[0];
MOV R0.z, fragment.texcoord[0].x;
MOV R0.x, fragment.texcoord[0];
MOV R1.x, fragment.texcoord[0];
MOV R1.z, fragment.texcoord[0].x;
TEX R9, R0, texture[0], 2D;
TEX R8, R0.zwzw, texture[0], 2D;
TEX R0, fragment.texcoord[0], texture[1], 2D;
TEX R7, R3.zwzw, texture[0], 2D;
TEX R6, R3, texture[0], 2D;
TEX R3, R1.zwzw, texture[0], 2D;
TEX R5, R2.zwzw, texture[0], 2D;
TEX R4, R2, texture[0], 2D;
TEX R2, R1, texture[0], 2D;
TEX R1, fragment.texcoord[0], texture[0], 2D;
MUL R2, R2, c[3].x;
MAD R1, R1, c[2].w, R2;
MAD R1, R3, c[3].x, R1;
MAD R2.x, R0.w, c[2].z, -c[2];
MAD R1, R4, c[3].y, R1;
MAD R1, R5, c[3].y, R1;
MAD R1, R6, c[4].x, R1;
MAD R1, R7, c[4].x, R1;
MAD R1, R8, c[4].w, R1;
MAD R3, R9, c[4].w, R1;
MAX R2.x, R2, c[2].y;
MUL R1.xyz, R0, R2.x;
MOV R1.w, R0;
MAX R1, R1, R3;
ADD R0.xyz, R1, R0;
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
SGE R1.y, c[2].x, R1.x;
ADD_SAT R1.z, R1.x, -c[2].x;
MOV R0.w, c[3];
MAD R2.x, -R1.z, c[2].z, R0.w;
MUL R0.w, R1.z, R1.z;
MUL R1.z, R0.w, R2.x;
RCP R0.w, R1.x;
MAD R2.xyz, R0, R0.w, R1.z;
ABS R1.y, R1;
CMP R0.w, -R1.y, c[2].y, c[2].x;
CMP result.color.xyz, -R0.w, R2, R0;
MOV result.color.w, R1;
END
# 57 instructions, 10 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
SetTexture 1 [_DBN_PostProcessGlow] 2D
"ps_2_0
; 46 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
def c2, 0.15000001, 2.00000000, -2.00000000, 3.00000000
def c3, -3.00000000, 4.00000000, -4.00000000, 0.00000000
def c4, 2.00000000, -1.00000000, 0.18000001, 0.12000000
def c5, 0.09000000, 0.05000000, 1.00000000, 0.00000000
dcl t0.xy
texld r9, t0, s1
rcp r0.x, c0.y
mul r5.x, r0, c1
add r1.y, t0, -r5.x
mad r2.y, r5.x, c2, t0
mad r3.y, r5.x, c2.z, t0
mad r4.y, r5.x, c2.w, t0
mad r5.y, r5.x, c3.z, t0
add r0.y, t0, r5.x
mov r0.x, t0
mov r1.x, t0
mov r2.x, t0
mov r3.x, t0
mov r4.x, t0
mad r6.y, r5.x, c3.x, t0
mad r7.y, r5.x, c3, t0
mov r5.x, t0
mov r6.x, t0
mov r7.x, t0
texld r8, r5, s0
texld r5, r4, s0
texld r4, r3, s0
texld r3, r2, s0
texld r2, r1, s0
texld r7, r7, s0
texld r6, r6, s0
texld r0, r0, s0
texld r1, t0, s0
mul r0, r0, c2.x
mad r0, r1, c4.z, r0
mad r0, r2, c2.x, r0
mad r0, r3, c4.w, r0
mad r0, r4, c4.w, r0
mad r0, r5, c5.x, r0
mad r1, r6, c5.x, r0
mad_pp r0.x, r9.w, c4, c4.y
max_pp r0.x, r0, c3.w
mad r1, r7, c5.y, r1
mad r1, r8, c5.y, r1
mul_pp r0.xyz, r9, r0.x
mov_pp r0.w, r9
max_pp r0, r0, r1
add_pp r4.xyz, r0, r9
max_pp r0.x, r4, r4.y
max_pp r0.x, r0, r4.z
add_pp_sat r3.x, r0, c4.y
add_pp r1.x, -r0, c5.z
mad_pp r2.x, -r3, c2.y, c2.w
mul_pp r3.x, r3, r3
rcp_pp r0.x, r0.x
mul_pp r2.x, r3, r2
mad_pp r2.xyz, r4, r0.x, r2.x
cmp_pp r1.x, r1, c5.z, c5.w
abs_pp r0.x, r1
cmp_pp r0.xyz, -r0.x, r2, r4
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
SetTexture 1 [_DBN_PostProcessGlow] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 28 float, 0 int, 0 uint
// TEX 10 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 57

	}
}
}
