// Copyright 2013-2014 DeathByNukes

Shader "PP/AlphaGlowStart" {
Properties {
	_BlurSize ("Blur Size", float) = 1
}

SubShader {
	Tags { "Queue"="Overlay" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }

	Cull Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
	ZWrite Off
	#LINE 20

	
	GrabPass { "_DBN_PostProcessGlow" Tags { "LightMode" = "Always" } }
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.50000000, 1.00000000
def c2, 0.00000000, 1.00000000, 0, 0
dcl_texcoord0 v0
mad r0.zw, v0.xyxy, c1.x, c1.y
rcp r0.x, c0.x
rcp r0.y, c0.y
mad oPos.xy, -r0, c1.z, r0.zwzw
mov oPos.zw, c2.xyxy
add oT0.y, -v0, c1.w
mov oT0.x, v0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
// 4 instructions, 0 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjafonigjhanmapeplpgekdkdohkjncdcabaaaaaakmabaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcmmaaaaaa
eaaaabaaddaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaa
abaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaapdccabaaaabaaaaaaegbabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaialpaaaaaaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadp
aaaaaaaaaaaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 70 to 70, TEX: 9 to 9
//   d3d9 - ALU: 64 to 64, TEX: 9 to 9
//   d3d11 - ALU: 42 to 42, TEX: 9 to 9, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_DBN_PostProcessGlow] 2D
"!!ARBfp1.0
# 70 ALU, 9 TEX
PARAM c[5] = { program.local[0..1],
		{ 2, 1, 0.18005371, 0.15002441 },
		{ 0.11999512, -2, 3, 0.090026855 },
		{ -3, 4, 0.049987793, -4 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
TEMP R9;
RCP R0.x, c[0].x;
MUL R3.x, R0, c[1];
ADD R0.x, R3, fragment.texcoord[0];
ADD R0.z, -R3.x, fragment.texcoord[0].x;
MAD R1.x, R3, c[2], fragment.texcoord[0];
MAD R1.z, R3.x, c[3].y, fragment.texcoord[0].x;
MOV R1.w, fragment.texcoord[0].y;
MAD R2.x, R3, c[3].z, fragment.texcoord[0];
MOV R2.y, fragment.texcoord[0];
MAD R2.z, R3.x, c[4].x, fragment.texcoord[0].x;
MAD R3.z, R3.x, c[4].y, fragment.texcoord[0].x;
MOV R2.w, fragment.texcoord[0].y;
MOV R3.w, fragment.texcoord[0].y;
MOV R0.y, fragment.texcoord[0];
MOV R0.w, fragment.texcoord[0].y;
MOV R1.y, fragment.texcoord[0];
MOV R3.y, fragment.texcoord[0];
MAD R3.x, R3, c[4].w, fragment.texcoord[0];
TEX R8, R3, texture[0], 2D;
TEX R7, R3.zwzw, texture[0], 2D;
TEX R6, R2.zwzw, texture[0], 2D;
TEX R5, R2, texture[0], 2D;
TEX R2, R0.zwzw, texture[0], 2D;
TEX R4, R1.zwzw, texture[0], 2D;
TEX R3, R1, texture[0], 2D;
TEX R1, R0, texture[0], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R9.x, R1.w, c[2];
MIN R9.x, R9, c[2].y;
MUL R1.xyz, R1, R9.x;
MUL R9.x, R0.w, c[2];
MIN R9.y, R9.x, c[2];
MUL R9.x, R2.w, c[2];
MUL R1, R1, c[2].w;
MUL R0.xyz, R0, R9.y;
MAD R0, R0, c[2].z, R1;
MIN R9.x, R9, c[2].y;
MUL R1.xyz, R2, R9.x;
MOV R1.w, R2;
MAD R0, R1, c[2].w, R0;
MUL R2.x, R3.w, c[2];
MIN R1.x, R2, c[2].y;
MUL R1.w, R4, c[2].x;
MIN R2.x, R1.w, c[2].y;
MUL R1.xyz, R3, R1.x;
MOV R1.w, R3;
MAD R0, R1, c[3].x, R0;
MUL R1.xyz, R4, R2.x;
MOV R1.w, R4;
MAD R0, R1, c[3].x, R0;
MUL R2.x, R5.w, c[2];
MIN R1.x, R2, c[2].y;
MUL R1.w, R6, c[2].x;
MIN R2.x, R1.w, c[2].y;
MUL R1.xyz, R5, R1.x;
MOV R1.w, R5;
MAD R0, R1, c[3].w, R0;
MUL R1.xyz, R6, R2.x;
MOV R1.w, R6;
MAD R0, R1, c[3].w, R0;
MUL R2.x, R7.w, c[2];
MIN R1.x, R2, c[2].y;
MUL R1.w, R8, c[2].x;
MIN R2.x, R1.w, c[2].y;
MUL R1.xyz, R7, R1.x;
MOV R1.w, R7;
MAD R1, R1, c[4].z, R0;
MUL R0.xyz, R8, R2.x;
MOV R0.w, R8;
MAD result.color, R0, c[4].z, R1;
END
# 70 instructions, 10 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_DBN_PostProcessGlow] 2D
"ps_2_0
; 64 ALU, 9 TEX
dcl_2d s0
def c2, 2.00000000, 1.00000000, -2.00000000, 3.00000000
def c3, -3.00000000, 4.00000000, -4.00000000, 0.15002441
def c4, 0.18005371, 0.11999512, 0.09002686, 0.04998779
dcl t0.xy
texld r10, t0, s0
rcp r0.x, c0.x
mul r3.x, r0, c1
add r0.x, r3, t0
add r1.x, -r3, t0
mad r2.x, r3, c2, t0
mov r0.y, t0
mov r1.y, t0
mov r2.y, t0
mad r4.x, r3, c2.z, t0
mov r4.y, t0
mad r5.x, r3, c2.w, t0
mov r5.y, t0
mad r6.x, r3, c3, t0
mad r7.x, r3, c3.y, t0
mov r6.y, t0
mov r7.y, t0
mov r3.y, t0
mad r3.x, r3, c3.z, t0
texld r8, r3, s0
texld r3, r2, s0
texld r2, r1, s0
texld r1, r0, s0
texld r7, r7, s0
texld r6, r6, s0
texld r5, r5, s0
texld r4, r4, s0
mul_pp r0.x, r1.w, c2
mov_pp r0.w, r1
min_pp r0.x, r0, c2.y
mul_pp r0.xyz, r1, r0.x
mul_pp r9, r0, c3.w
mul_pp r0.x, r10.w, c2
min_pp r1.x, r0, c2.y
mul_pp r0.x, r2.w, c2
min_pp r0.x, r0, c2.y
mul_pp r0.xyz, r2, r0.x
mov_pp r0.w, r2
mul_pp r1.xyz, r10, r1.x
mov_pp r1.w, r10
mad_pp r1, r1, c4.x, r9
mad_pp r2, r0, c3.w, r1
mul_pp r0.x, r3.w, c2
min_pp r1.x, r0, c2.y
mul_pp r0.x, r4.w, c2
min_pp r0.x, r0, c2.y
mul_pp r0.xyz, r4, r0.x
mov_pp r0.w, r4
mul_pp r1.xyz, r3, r1.x
mov_pp r1.w, r3
mad_pp r1, r1, c4.y, r2
mad_pp r2, r0, c4.y, r1
mul_pp r0.x, r5.w, c2
min_pp r1.x, r0, c2.y
mul_pp r0.x, r6.w, c2
min_pp r0.x, r0, c2.y
mul_pp r0.xyz, r6, r0.x
mov_pp r0.w, r6
mul_pp r1.xyz, r5, r1.x
mov_pp r1.w, r5
mad_pp r1, r1, c4.z, r2
mad_pp r2, r0, c4.z, r1
mul_pp r0.x, r7.w, c2
min_pp r1.x, r0, c2.y
mul_pp r0.x, r8.w, c2
min_pp r0.x, r0, c2.y
mul_pp r1.xyz, r7, r1.x
mov_pp r1.w, r7
mad_pp r1, r1, c4.w, r2
mul_pp r0.xyz, r8, r0.x
mov_pp r0.w, r8
mad_pp r0, r0, c4.w, r1
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DBN_PostProcessGlow] 2D 0
// 58 instructions, 5 temp regs, 0 temp arrays:
// ALU 42 float, 0 int, 0 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 38

	}
	
	GrabPass { Tags { "LightMode" = "Always" } }
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.50000000, 1.00000000
def c2, 0.00000000, 1.00000000, 0, 0
dcl_texcoord0 v0
mad r0.zw, v0.xyxy, c1.x, c1.y
rcp r0.x, c0.x
rcp r0.y, c0.y
mad oPos.xy, -r0, c1.z, r0.zwzw
mov oPos.zw, c2.xyxy
add oT0.y, -v0, c1.w
mov oT0.x, v0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
// 4 instructions, 0 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjafonigjhanmapeplpgekdkdohkjncdcabaaaaaakmabaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcmmaaaaaa
eaaaabaaddaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaa
abaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaapdccabaaaabaaaaaaegbabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaialpaaaaaaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadp
aaaaaaaaaaaaaaaadoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 43 to 43, TEX: 9 to 9
//   d3d9 - ALU: 33 to 33, TEX: 10 to 10
//   d3d11 - ALU: 18 to 18, TEX: 9 to 9, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"!!ARBfp1.0
# 43 ALU, 9 TEX
PARAM c[6] = { program.local[0..1],
		{ -4, 0.050000001, 4, -3 },
		{ 0.090000004, 3, -2, 0.12 },
		{ 2, 0.15000001, 0.18000001, 0 },
		{ 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
RCP R0.x, c[0].y;
MUL R0.x, R0, c[1];
ADD R7.y, fragment.texcoord[0], R0.x;
MOV R7.x, fragment.texcoord[0];
ADD R6.y, fragment.texcoord[0], -R0.x;
MOV R6.x, fragment.texcoord[0];
MAD R5.y, R0.x, c[4].x, fragment.texcoord[0];
MOV R5.x, fragment.texcoord[0];
MAD R4.y, R0.x, c[3].z, fragment.texcoord[0];
MOV R4.x, fragment.texcoord[0];
MAD R3.y, R0.x, c[3], fragment.texcoord[0];
MOV R3.x, fragment.texcoord[0];
MAD R2.y, R0.x, c[2].w, fragment.texcoord[0];
MOV R2.x, fragment.texcoord[0];
MAD R1.y, R0.x, c[2].z, fragment.texcoord[0];
MAD R0.y, R0.x, c[2].x, fragment.texcoord[0];
MOV R1.x, fragment.texcoord[0];
MOV R0.x, fragment.texcoord[0];
TEX R8, R7, texture[0], 2D;
TEX R0, R0, texture[0], 2D;
TEX R1, R1, texture[0], 2D;
TEX R2, R2, texture[0], 2D;
TEX R3, R3, texture[0], 2D;
TEX R4, R4, texture[0], 2D;
TEX R5, R5, texture[0], 2D;
TEX R6, R6, texture[0], 2D;
TEX R7, fragment.texcoord[0], texture[0], 2D;
MUL R8, R8, c[4].y;
MAD R7, R7, c[4].z, R8;
MAD R6, R6, c[4].y, R7;
MAD R5, R5, c[3].w, R6;
MAD R4, R4, c[3].w, R5;
MAD R3, R3, c[3].x, R4;
MAD R2, R2, c[3].x, R3;
MAD R1, R1, c[2].y, R2;
MAD R0, R0, c[2].y, R1;
MOV R1.x, c[5];
ABS R2.xyz, R0;
CMP R1.xyz, -R2, c[4].w, R1.x;
MUL R1.x, R1, R1.y;
MUL R1.x, R1, R1.z;
MOV result.color, R0;
KIL -R1.x;
END
# 43 instructions, 9 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"ps_2_0
; 33 ALU, 10 TEX
dcl_2d s0
def c2, -4.00000000, 4.00000000, -3.00000000, 3.00000000
def c3, -2.00000000, 2.00000000, 0.15000001, 0.18000001
def c4, 0.12000000, 0.09000000, 0.05000000, 0
def c5, 1.00000000, 0.00000000, 0, 0
dcl t0.xy
rcp r0.x, c0.y
mul r3.x, r0, c1
add r1.y, t0, -r3.x
mad r2.y, r3.x, c3, t0
mad r3.y, r3.x, c2.x, t0
add r0.y, t0, r3.x
mov r0.x, t0
mov r1.x, t0
mov r2.x, t0
mad r4.y, r3.x, c3.x, t0
mov r4.x, t0
mad r5.y, r3.x, c2.w, t0
mov r5.x, t0
mad r6.y, r3.x, c2.z, t0
mad r7.y, r3.x, c2, t0
mov r3.x, t0
mov r6.x, t0
mov r7.x, t0
texld r8, r3, s0
texld r3, r2, s0
texld r2, r1, s0
texld r7, r7, s0
texld r6, r6, s0
texld r5, r5, s0
texld r4, r4, s0
texld r0, r0, s0
texld r1, t0, s0
mul r0, r0, c3.z
mad r0, r1, c3.w, r0
mad r0, r2, c3.z, r0
mad r0, r3, c4.x, r0
mad r0, r4, c4.x, r0
mad r0, r5, c4.y, r0
mad r0, r6, c4.y, r0
mad r0, r7, c4.z, r0
mad r0, r8, c4.z, r0
abs_pp r1.xyz, r0
cmp_pp r1.xyz, -r1, c5.x, c5.y
mul_pp r1.x, r1, r1.y
mul_pp r1.x, r1, r1.z
mov_pp r1, -r1.x
mov_pp oC0, r0
texkill r1.xyzw
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
// 36 instructions, 5 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 2 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

}

#LINE 54

	}
}
}
