﻿// DeathByNukes

Shader "PP/SetAlpha" {
Properties {
	_Alpha("Alpha", Range(0,1)) = 1
}

SubShader {
	Tags { "Queue"="Background+1" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }
	
	Pass {
		Cull Off ZWrite Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
		ColorMask A
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 2 to 2
//   d3d9 - ALU: 2 to 2
//   d3d11 - ALU: 1 to 1, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 2 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
END
# 2 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
"vs_2_0
; 2 ALU
def c0, 2.00000000, -1.00000000, 0.00000000, 1.00000000
dcl_texcoord0 v0
mov oPos.zw, c0
mad oPos.xy, v0, c0.x, c0.y
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
// 3 instructions, 0 temp regs, 0 temp arrays:
// ALU 1 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefieceddpogccdfmjbonmelgddmcgfogdojknnhabaaaaaaeaabaaaaadaaaaaa
cmaaaaaaiaaaaaaaleaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafdeieefcieaaaaaaeaaaabaa
cbaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
dcaaaaapdccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadgaaaaai
mccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdoaaaaab
"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 2 to 2, TEX: 0 to 0
//   d3d9 - ALU: 3 to 3
//   d3d11 - ALU: 0 to 0, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 2 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 0 } };
MOV result.color.xyz, c[1].x;
MOV result.color.w, c[0].x;
END
# 2 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 3 ALU
def c1, 0.00000000, 0, 0, 0
mov_pp r0.w, c0.x
mov_pp r0.xyz, c1.x
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 3 instructions, 0 temp regs, 0 temp arrays:
// ALU 0 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfifoidkkemlnokcpjfmdfogkhmmjhpcmabaaaaaapmaaaaaaadaaaaaa
cmaaaaaagaaaaaaajeaaaaaaejfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgaaaaaaaeaaaaaaa
biaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagfaaaaadpccabaaaaaaaaaaa
dgaaaaaihccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
dgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaadoaaaaab"
}

}

#LINE 28

	}
}

	SubShader {
		BindChannels {
			Bind "Vertex", vertex
			Bind "Color", color
		} 
		Pass {
			ZWrite Off Cull Off Fog { Mode Off }
			Blend One One, One OneMinusSrcColor
			SetTexture [_MainTex] {
				constantColor [_Alpha]
				Combine primary, constant
			}
		}
	}
}
