﻿// 2015 DeathByNukes

Shader "ParticleStream" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
	_Scale ("Particle Scale", Float) = 1

	_SpinSpeed ("Y rotation speed (radians per second)", float) = 0
	_TimeOffset ("Time offset (seconds)", float) = 0
	_CylinderTex ("Cylinder Brightness (R) Scale (G)", 2D) = "white" {}

	_ScaleCylinderU ("Cylinder U Scale", float) = 1
	_ScaleCylinderV ("Cylinder V Scale", float) = 1
	
	_ScrollCylinderU ("Cylinder U Scroll Speed", float) = 0
	_ScrollCylinderV ("Cylinder V Scroll Speed", float) = 0
}

SubShader {
	Tags {"Queue" = "Transparent" }
	//Tags {"Queue" = "AlphaTest" }
	Pass {
		Fog { Mode Off }
		ZWrite Off
		ColorMask RGB
		//Blend SrcAlpha OneMinusSrcAlpha // Alpha
		//Blend One One // Add
		Blend One OneMinusSrcColor // AddSmooth
		//AlphaTest Greater 0.01
		Cull Off // back faces
		Program "vp" {
// Vertex combos: 1
//   d3d9 - ALU: 82 to 82, TEX: 2 to 2
//   d3d11 - ALU: 49 to 49, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
"!!GLSL
#ifdef VERTEX
varying float xlv_COLOR;
varying vec2 xlv_TEXCOORD0;
uniform float _ScrollCylinderV;
uniform float _ScrollCylinderU;
uniform float _ScaleCylinderV;
uniform float _ScaleCylinderU;
uniform sampler2D _CylinderTex;
uniform float _TimeOffset;
uniform float _SpinSpeed;
uniform float _Scale;


uniform vec4 _Time;
void main ()
{
  vec4 tmpvar_1;
  float r_2;
  if ((abs(gl_Vertex.x) > (1e-08 * abs(gl_Vertex.z)))) {
    float y_over_x_3;
    y_over_x_3 = (gl_Vertex.z / gl_Vertex.x);
    float s_4;
    float x_5;
    x_5 = (y_over_x_3 * inversesqrt(((y_over_x_3 * y_over_x_3) + 1.0)));
    s_4 = (sign(x_5) * (1.5708 - (sqrt((1.0 - abs(x_5))) * (1.5708 + (abs(x_5) * (-0.214602 + (abs(x_5) * (0.0865667 + (abs(x_5) * -0.0310296)))))))));
    r_2 = s_4;
    if ((gl_Vertex.x < 0.0)) {
      if ((gl_Vertex.z >= 0.0)) {
        r_2 = (s_4 + 3.14159);
      } else {
        r_2 = (r_2 - 3.14159);
      };
    };
  } else {
    r_2 = (sign(gl_Vertex.z) * 1.5708);
  };
  vec2 tmpvar_6;
  tmpvar_6.x = (r_2 / 3.14159);
  tmpvar_6.y = gl_Vertex.y;
  vec2 tmpvar_7;
  tmpvar_7.x = _ScaleCylinderU;
  tmpvar_7.y = _ScaleCylinderV;
  vec2 tmpvar_8;
  tmpvar_8.x = _ScrollCylinderU;
  tmpvar_8.y = _ScrollCylinderV;
  vec4 tmpvar_9;
  tmpvar_9.zw = vec2(0.0, 0.0);
  tmpvar_9.xy = ((tmpvar_6 * tmpvar_7) + ((_Time.y + _TimeOffset) * tmpvar_8));
  vec4 tmpvar_10;
  tmpvar_10 = texture2DLod (_CylinderTex, tmpvar_9.xy, 0.0);
  vec2 tmpvar_11;
  tmpvar_11 = (gl_MultiTexCoord0.xy - vec2(0.5, 0.5));
  vec4 vertex_12;
  vertex_12.yw = gl_Vertex.yw;
  float angle_13;
  angle_13 = (_SpinSpeed * (_Time.y + _TimeOffset));
  float tmpvar_14;
  tmpvar_14 = sin(angle_13);
  float tmpvar_15;
  tmpvar_15 = cos(angle_13);
  mat2 tmpvar_16;
  tmpvar_16[0].x = tmpvar_15;
  tmpvar_16[0].y = tmpvar_14;
  tmpvar_16[1].x = -(tmpvar_14);
  tmpvar_16[1].y = tmpvar_15;
  vertex_12.xz = (tmpvar_16 * gl_Vertex.xz);
  vec4 tmpvar_17;
  tmpvar_17 = (gl_ModelViewMatrix * vertex_12);
  tmpvar_1.zw = tmpvar_17.zw;
  tmpvar_1.xy = (tmpvar_17.xy + ((tmpvar_11 * _Scale) * tmpvar_10.y));
  vec4 tmpvar_18;
  tmpvar_18 = (gl_ProjectionMatrix * tmpvar_1);
  tmpvar_1 = tmpvar_18;
  gl_Position = tmpvar_18;
  xlv_TEXCOORD0 = (((vec2(greaterThan (tmpvar_11, vec2(0.0, 0.0))) - vec2(lessThan (tmpvar_11, vec2(0.0, 0.0)))) / 2.0) + vec2(0.5, 0.5));
  xlv_COLOR = tmpvar_10.x;
}


#endif
#ifdef FRAGMENT
varying float xlv_COLOR;
varying vec2 xlv_TEXCOORD0;
uniform vec4 _Color;
uniform sampler2D _MainTex;
void main ()
{
  gl_FragData[0] = ((texture2D (_MainTex, xlv_TEXCOORD0) * _Color) * xlv_COLOR);
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 8 [_Time]
Float 9 [_Scale]
Float 10 [_SpinSpeed]
Float 11 [_TimeOffset]
Float 12 [_ScaleCylinderU]
Float 13 [_ScaleCylinderV]
Float 14 [_ScrollCylinderU]
Float 15 [_ScrollCylinderV]
SetTexture 0 [_CylinderTex] 2D
"vs_3_0
; 82 ALU, 2 TEX
dcl_position0 v0
dcl_texcoord0 v1
dcl_position o0
dcl_texcoord0 o1
dcl_color0 o2
def c16, -0.50000000, 0.00000000, -0.01348047, 0.05747731
def c17, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c18, 1.57079601, 1.00000000, 3.14159298, 0.31830987
def c19, 0.15915491, 0.50000000, 6.28318501, -3.14159298
dcl_2d s0
abs r1.x, v0
abs r0.w, v0.z
max r0.x, r1, r0.w
min r0.y, r1.x, r0.w
slt r0.w, r1.x, r0
rcp r0.x, r0.x
mul r0.z, r0.y, r0.x
mul r0.y, r0.z, r0.z
mad r0.x, r0.y, c16.z, c16.w
mad r0.x, r0, r0.y, c17
mad r0.x, r0, r0.y, c17.y
mad r0.x, r0, r0.y, c17.z
mad r0.x, r0, r0.y, c17.w
max r0.y, -r0.w, r0.w
slt r1.x, v0, c16.y
mul r0.z, r0.x, r0
slt r0.w, c16.y, r0.y
add r0.x, -r0.w, c18.y
add r0.y, -r0.z, c18.x
mul r0.x, r0.z, r0
mad r0.z, r0.w, r0.y, r0.x
max r1.x, -r1, r1
slt r0.w, c16.y, r1.x
add r0.x, -r0.w, c18.y
add r0.y, -r0.z, c18.z
mul r0.x, r0.z, r0
mad r0.w, r0, r0.y, r0.x
slt r1.x, v0.z, c16.y
max r0.z, -r1.x, r1.x
slt r1.x, c16.y, r0.z
mov r0.x, c8.y
add r0.z, c11.x, r0.x
add r0.y, -r1.x, c18
mul r0.y, r0.w, r0
mad r0.w, r1.x, -r0, r0.y
mul r0.x, r0.z, c10
mad r0.y, r0.x, c19.x, c19
frc r0.y, r0
mad r2.x, r0.y, c19.z, c19.w
mul r0.x, r0.w, c18.w
mov r1.y, -c15.x
mov r1.x, c14
mul r0.zw, r0.z, r1.xyxy
mov r1.x, c12
mov r1.y, c13.x
mov r0.y, -v0
mad r0.xy, r0, r1, r0.zwzw
sincos r1.xy, r2.x
mov r0.z, c16.y
texldl r0.xy, r0.xyzz, s0
mov r0.w, -r1.y
mov r0.z, r1.x
mul r0.zw, v0.xyxz, r0
mul r1.xy, v0.xzzw, r1.yxzw
add r0.z, r0, r0.w
add r0.w, r1.x, r1.y
mov r1.xz, r0.zyww
mov r1.yw, v0
add r0.zw, v1.xyxy, c16.x
mul r2.xy, r0.zwzw, c9.x
dp4 r2.w, r1, c1
dp4 r2.z, r1, c0
mad r2.xy, r2, r0.y, r2.zwzw
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r1.xy, v1, c19.y
slt r0.zw, c16.y, r0
add r0.zw, r0, -r1.xyxy
dp4 o0.w, r2, c7
dp4 o0.z, r2, c6
dp4 o0.y, r2, c5
dp4 o0.x, r2, c4
mov o2.x, r0
mad o1.xy, r0.zwzw, c19.y, c19.y
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 64 // 60 used size, 9 vars
Float 32 [_Scale]
Float 36 [_SpinSpeed]
Float 40 [_TimeOffset]
Float 44 [_ScaleCylinderU]
Float 48 [_ScaleCylinderV]
Float 52 [_ScrollCylinderU]
Float 56 [_ScrollCylinderV]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 128 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
ConstBuffer "UnityPerFrame" 208 // 64 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
BindCB "UnityPerFrame" 3
SetTexture 0 [_CylinderTex] 2D 0
// 57 instructions, 4 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 4 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

}
Program "fp" {
// Fragment combos: 1
//   d3d9 - ALU: 2 to 2, TEX: 1 to 1
//   d3d11 - ALU: 2 to 2, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"ps_3_0
; 2 ALU, 1 TEX
dcl_2d s0
dcl_texcoord0 v0.xy
dcl_color0 v1.x
texld r0, v0, s0
mul r0, r0, c0
mul oC0, r0, v1.x
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 64 // 32 used size, 9 vars
Vector 16 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 4 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednnhlgpakfbmilocogbokopjfiemiaoibabaaaaaakaabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aeaeaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmeaaaaaaeaaaaaaa
dbaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
ecbabaaaabaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaa
diaaaaahpccabaaaaaaaaaaaegaobaaaaaaaaaaakgbkbaaaabaaaaaadoaaaaab
"
}

}

#LINE 107

	}
}

}
