﻿// 2014 DeathByNukes

Shader "ring_spin_AddSmooth" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_SpinSpeed ("Clockwise Spin Speed (radians per second)", float) = 6.283185
	//_TestTime ("time", float) = 1.0
}

SubShader {
	Tags {"Queue" = "Transparent" }
	Pass {
		ZWrite Off
		Fog { Mode Off }
		Blend One OneMinusSrcColor
		AlphaTest Greater 0.01
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 30 to 30
//   d3d9 - ALU: 26 to 26
//   d3d11 - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Bind "texcoord" TexCoord0
Vector 5 [_Time]
Float 6 [_SpinSpeed]
"!!ARBvp1.0
# 30 ALU
PARAM c[10] = { { -24.980801, 60.145809, 0.15915491, 0.5 },
		state.matrix.mvp,
		program.local[5..6],
		{ 0.25, 0.5, 0.75, 1 },
		{ -85.453789, 64.939346, -19.73921, 1 },
		{ 1, -1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[6];
MUL R0.x, R0, c[5].y;
MUL R0.x, R0, c[0].z;
FRC R1.z, R0.x;
SLT R0, R1.z, c[7];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[7].xxzz;
DP3 R1.x, R2, c[7].yyww;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MUL R1, R2.zzww, c[0].xyxy;
ADD R1, R1, c[8].xyxy;
MAD R1, R1, R2.zzww, c[8].zwzw;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[9].xxyy;
DP4 R1.z, R0, c[9].xyyx;
MUL R0.zw, R1, R1.xyxy;
ADD R1.xy, vertex.texcoord[0], -c[0].w;
MOV R0.x, R0.z;
MUL R1.zw, R1.y, R0.xywz;
MOV R0.y, -R0.w;
MAD R0.xy, R1.x, R0, R1.zwzw;
ADD result.texcoord[0].xy, R0, c[0].w;
MOV result.color, vertex.color;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 30 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Time]
Float 5 [_SpinSpeed]
"vs_2_0
; 26 ALU
def c6, -0.50000000, 0.15915491, 0.50000000, 0
def c7, 6.28318501, -3.14159298, 0, 0
def c8, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c9, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
dcl_color0 v1
dcl_texcoord0 v2
mov r0.x, c4.y
mul r0.x, c5, r0
mad r0.x, -r0, c6.y, c6.z
frc r0.x, r0
mad r1.x, r0, c7, c7.y
sincos r0.xy, r1.x, c8.xyzw, c9.xyzw
add r1.xy, v2, c6.x
mov r0.z, r0.x
mul r1.zw, r1.y, r0.xyyx
mov r0.w, -r0.y
mad r0.xy, r1.x, r0.zwzw, r1.zwzw
add oT0.xy, r0, c6.z
mov oD0, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkenoibkcbphneginodaojpakhdmaadebabaaaaaagaadaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adadaaaafaepfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaagcaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaadamaaaafdfgfpfaepfdejfeejepeoaa
edepemepfcaafeeffiedepepfceeaaklfdeieefceiacaaaaeaaaabaajcaaaaaa
fjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fjaaaaaeegiocaaaacaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaafpaaaaaddcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaaddccabaaaacaaaaaagiaaaaac
adaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaaf
pccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaajbcaabaaaaaaaaaaaakiacaaa
aaaaaaaaabaaaaaabkiacaaaabaaaaaaaaaaaaaaenaaaaaibcaabaaaaaaaaaaa
bcaabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaafecaabaaaacaaaaaa
akaabaaaaaaaaaaaaaaaaaakgcaabaaaaaaaaaaaagbbbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaalpaaaaaalpaaaaaaaadgaaaaafccaabaaaacaaaaaaakaabaaa
abaaaaaadgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaaapaaaaah
ccaabaaaabaaaaaajgafbaaaaaaaaaaaegaabaaaacaaaaaaapaaaaahbcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaaaacaaaaaaaaaaaaakdccabaaaacaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 3 to 3, TEX: 1 to 1
//   d3d9 - ALU: 3 to 3, TEX: 1 to 1
//   d3d11 - ALU: 1 to 1, TEX: 1 to 1, FLOW: 1 to 1
//   d3d11_9x - ALU: 1 to 1, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 3 ALU, 1 TEX
TEMP R0;
MOV_SAT R0.xy, fragment.texcoord[0];
TEX R0, R0, texture[0], 2D;
MUL result.color, R0, fragment.color.primary;
END
# 3 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 3 ALU, 1 TEX
dcl_2d s0
dcl v0
dcl t0.xy
mov_sat r0.xy, t0
texld r0, r0, s0
mul r0, r0, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
SetTexture 0 [_MainTex] 2D 0
// 4 instructions, 1 temp regs, 0 temp arrays:
// ALU 1 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddnbmoggfdfjcnajimgfmlkgkilpphiilabaaaaaaieabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adadaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefckiaaaaaaeaaaaaaa
ckaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
gcbaaaadpcbabaaaabaaaaaagcbaaaaddcbabaaaacaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacabaaaaaadgcaaaafdcaabaaaaaaaaaaaegbabaaaacaaaaaa
efaaaaajpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaadiaaaaahpccabaaaaaaaaaaaegaobaaaaaaaaaaaegbobaaaabaaaaaa
doaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
SetTexture 0 [_MainTex] 2D 0
// 4 instructions, 1 temp regs, 0 temp arrays:
// ALU 1 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefieceddiakflmembakpgmhoiikohmjmofngmljabaaaaaabmacaaaaaeaaaaaa
daaaaaaameaaaaaaheabaaaaoiabaaaaebgpgodjimaaaaaaimaaaaaaaaacpppp
geaaaaaaciaaaaaaaaaaciaaaaaaciaaaaaaciaaabaaceaaaaaaciaaaaaaaaaa
aaacppppbpaaaaacaaaaaaiaaaaaaplabpaaaaacaaaaaaiaabaaadlabpaaaaac
aaaaaajaaaaiapkaabaaaaacaaaabdiaabaaoelaecaaaaadaaaaapiaaaaaoeia
aaaioekaafaaaaadaaaacpiaaaaaoeiaaaaaoelaabaaaaacaaaicpiaaaaaoeia
ppppaaaafdeieefckiaaaaaaeaaaaaaackaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaad
dcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaadgcaaaaf
dcaabaaaaaaaaaaaegbabaaaacaaaaaaefaaaaajpcaabaaaaaaaaaaaegaabaaa
aaaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaahpccabaaaaaaaaaaa
egaobaaaaaaaaaaaegbobaaaabaaaaaadoaaaaabejfdeheogmaaaaaaadaaaaaa
aiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapapaaaagcaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaacaaaaaaadadaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaa
aaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl"
}

}

#LINE 61

	}
}
}
