﻿// 2014 DeathByNukes

Shader "thruster_beam" {
Properties {
	_Alpha ("Alpha", float) = 0.25
}

Category {

Fog { Mode Off }
ZWrite Off
Blend One One // Add
//Blend One OneMinusSrcColor // AddSmooth
Cull Off // back faces

SubShader {
	Tags {"Queue" = "Transparent" }
	#LINE 43

	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 6 to 6
//   d3d9 - ALU: 6 to 6
//   d3d11 - ALU: 5 to 5, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 6 ALU
PARAM c[5] = { { 0.2, 1 },
		state.matrix.mvp };
TEMP R0;
MUL R0, vertex.position, c[0].xxyy;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color, vertex.color;
END
# 6 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 6 ALU
def c4, 0.20000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
mul r0, v0, c4.xxyy
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oD0, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 7 instructions, 2 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedllegidibgmekogajknbaojccijlpmnkhabaaaaaaaeacaaaaadaaaaaa
cmaaaaaahmaaaaaanaaaaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaaedepemepfcaaklepfdeheo
emaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaaklklfdeieefccmabaaaaeaaaabaaelaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagiaaaaacacaaaaaadiaaaaakdcaabaaaaaaaaaaaegbabaaaaaaaaaaa
aceaaaaamnmmemdomnmmemdoaaaaaaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaa
doaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgihlmnibnjffldfpjgppcejlnombijbnabaaaaaaceacaaaaadaaaaaa
cmaaaaaaiaaaaaaaleaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaaklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 55

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 6 to 6
//   d3d9 - ALU: 6 to 6
//   d3d11 - ALU: 6 to 6, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 6 ALU
PARAM c[5] = { { 0.40000001, 1, 0.5 },
		state.matrix.mvp };
TEMP R0;
MUL R0, vertex.position, c[0].xxyy;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MUL result.color, vertex.color, c[0].z;
END
# 6 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 6 ALU
def c4, 0.40000001, 1.00000000, 0.50000000, 0
dcl_position0 v0
dcl_color0 v1
mul r0, v0, c4.xxyy
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mul oD0, v1, c4.z
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 7 instructions, 2 temp regs, 0 temp arrays:
// ALU 6 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedepmfcchdbkdikgijkjkkapicajapjabnabaaaaaabiacaaaaadaaaaaa
cmaaaaaahmaaaaaanaaaaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaaedepemepfcaaklepfdeheo
emaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaaklklfdeieefceaabaaaaeaaaabaafaaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagiaaaaacacaaaaaadiaaaaakdcaabaaaaaaaaaaaegbabaaaaaaaaaaa
aceaaaaamnmmmmdomnmmmmdoaaaaaaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaakpccabaaaabaaaaaaegbobaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaadpdoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgihlmnibnjffldfpjgppcejlnombijbnabaaaaaaceacaaaaadaaaaaa
cmaaaaaaiaaaaaaaleaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaaklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 68

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 5 to 5
//   d3d9 - ALU: 5 to 5
//   d3d11 - ALU: 5 to 5, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 5 ALU
PARAM c[5] = { { 0.25 },
		state.matrix.mvp };
MUL result.color, vertex.color, c[0].x;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 5 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 5 ALU
def c4, 0.25000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
mul oD0, v1, c4.x
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedoalimlhblihkkccnjchlgehopmhbmaclabaaaaaapaabaaaaadaaaaaa
cmaaaaaahmaaaaaanaaaaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaaedepemepfcaaklepfdeheo
emaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaaklklfdeieefcbiabaaaaeaaaabaaegaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaakpccabaaaabaaaaaaegbobaaaabaaaaaaaceaaaaaaaaaiado
aaaaiadoaaaaiadoaaaaiadodoaaaaab"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgihlmnibnjffldfpjgppcejlnombijbnabaaaaaaceacaaaaadaaaaaa
cmaaaaaaiaaaaaaaleaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaaklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 79

	}
}
}
}
