﻿// 2014 DeathByNukes

Shader "thruster_beam" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Alpha ("Alpha", float) = 0.05
}

Category {

Fog { Mode Off }
ZWrite Off
Blend One One // Add
//Blend One OneMinusSrcColor // AddSmooth
//Cull Off // back faces

SubShader {
	Tags {"Queue" = "Transparent" }
	#LINE 60

	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 58 to 58
//   d3d9 - ALU: 80 to 80
//   d3d11 - ALU: 42 to 42, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 58 ALU
PARAM c[8] = { { 0.0066666668, 0.31830987, 0.25, 2 },
		state.matrix.mvp,
		{ 0, 1, 3.141593, 1.570796 },
		{ -0.01348047, 0.05747731, 0.1212391, 0.1956359 },
		{ 0.33299461, 0.99999559 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
ABS R2.w, vertex.position.y;
ABS R2.z, vertex.position.x;
MAX R0.x, R2.z, R2.w;
RCP R0.y, R0.x;
MIN R0.x, R2.z, R2.w;
MUL R0.z, R0.x, R0.y;
MUL R0.w, R0.z, R0.z;
MAD R0.x, R0.w, c[6], c[6].y;
MAD R0.x, R0, R0.w, -c[6].z;
MAD R1.x, R0, R0.w, c[6].w;
MUL R0.xy, vertex.position, vertex.position;
ADD R0.x, R0, R0.y;
MAD R1.x, R1, R0.w, -c[7];
MAD R0.y, R1.x, R0.w, c[7];
MUL R3.x, R0.y, R0.z;
RSQ R0.x, R0.x;
RCP R0.x, R0.x;
MUL R2.x, R0, c[0];
MAX R0.y, vertex.color.x, vertex.color;
MAX R0.x, vertex.color.z, R0.y;
ABS R0.y, R0.x;
ADD R3.y, -R3.x, -R3.x;
SGE R0.z, c[5].x, R0.y;
RCP R0.x, R0.x;
ADD R0.y, -R0.x, c[0].w;
MAD R0.x, R0.y, R0.z, R0;
SLT R2.y, c[5], R2.x;
MAD R0.y, -R0.x, R2, R2.x;
ABS R2.y, R2;
MAX R0.w, R0.y, c[5].x;
MUL R1.xyz, vertex.color, R0.y;
MIN R0.x, R2, R0;
MUL R0.xyz, vertex.color, R0.x;
ADD R0.xyz, R0, R0.w;
MOV R0.w, c[5].x;
MOV R1.w, c[5].x;
ADD R1, R1, -R0;
SGE R2.y, c[5].x, R2;
MAD result.color, R1, R2.y, R0;
SLT R0.y, vertex.position.x, c[5].x;
SLT R0.z, vertex.position.y, c[5].x;
ADD R3.y, R3, c[5].w;
SLT R2.z, R2, R2.w;
MAD R2.z, R3.y, R2, R3.x;
ADD R0.x, -R2.z, -R2.z;
ADD R0.x, R0, c[5].z;
MAD R0.x, R0, R0.y, R2.z;
ADD R0.y, -R0.x, -R0.x;
MAD R0.y, R0, R0.z, R0.x;
MOV R0.zw, vertex.position;
RCP R0.x, R2.x;
MUL result.texcoord[0].x, R0.y, c[0].y;
MUL R0.xy, vertex.position, R0.x;
MUL R0.xy, R0, c[0].z;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
END
# 58 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 80 ALU
def c4, 0.00666667, 0.25000000, 1.00000000, 0.00000000
def c5, 2.00000000, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 3.14159298, 0.31830987, 0, 0
dcl_position0 v0
dcl_color0 v1
abs r0.y, v0
abs r0.x, v0
max r0.z, r0.x, r0.y
rcp r0.w, r0.z
min r0.z, r0.x, r0.y
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
slt r0.x, r0, r0.y
max r0.y, -r0.x, r0.x
mad r1.x, r0.w, c5.y, c5.z
mad r1.x, r1, r0.w, c5.w
mad r1.x, r1, r0.w, c6
mad r1.x, r1, r0.w, c6.y
mad r0.w, r1.x, r0, c6.z
mul r0.z, r0.w, r0
slt r0.y, c4.w, r0
slt r0.x, v0, c4.w
max r0.x, -r0, r0
add r0.w, -r0.z, c6
add r1.x, -r0.y, c4.z
mul r0.z, r0, r1.x
slt r0.x, c4.w, r0
mad r0.y, r0, r0.w, r0.z
add r1.x, -r0, c4.z
mul r0.z, r0.y, r1.x
add r0.y, -r0, c7.x
mad r2.w, r0.x, r0.y, r0.z
mul r0.xy, v0, v0
add r0.x, r0, r0.y
slt r1.x, v0.y, c4.w
max r1.y, -r1.x, r1.x
slt r2.z, c4.w, r1.y
add r1.y, -r2.z, c4.z
max r0.z, v1.x, v1.y
max r0.z, v1, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
mul r2.y, r0.x, c4.x
sge r0.w, c4, r0.z
sge r0.y, r0.z, c4.w
mul r0.y, r0, r0.w
max r0.y, -r0, r0
slt r0.y, c4.w, r0
rcp r0.w, r0.z
add r0.z, -r0.y, c4
mul r0.z, r0, r0.w
mad r0.x, r0.y, c5, r0.z
slt r0.y, c4.z, r2
add r0.w, r2.y, -r0.x
max r0.z, -r0.y, r0.y
slt r0.z, c4.w, r0
add r1.x, -r0.z, c4.z
mul r1.x, r2.y, r1
mad r3.y, r0.z, r0.w, r1.x
sge r0.z, c4.w, r0.y
sge r0.y, r0, c4.w
mul r0.y, r0, r0.z
max r0.w, -r0.y, r0.y
slt r2.x, c4.w, r0.w
min r0.x, r2.y, r0
mul r3.x, r2.w, r1.y
max r1.x, r3.y, c4.w
mul r0.xyz, v1, r0.x
add r0.xyz, r0, r1.x
mov r0.w, c4
add r1.x, -r2, c4.z
mul r1, r1.x, r0
mul r0.xyz, v1, r3.y
mov r0.w, c4
mad oD0, r2.x, r0, r1
mad r0.y, r2.z, -r2.w, r3.x
mov r0.zw, v0
rcp r0.x, r2.y
mul oT0.x, r0.y, c7.y
mul r0.xy, v0, r0.x
mul r0.xy, r0, c4.y
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 39 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhmdgbfhmcmlogpjmdnccdnahemjgedoaabaaaaaaeeacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adaaaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 67

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 58 to 58
//   d3d9 - ALU: 80 to 80
//   d3d11 - ALU: 42 to 42, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 58 ALU
PARAM c[8] = { { 0.0066666668, 0.31830987, 0.66666669, 2 },
		state.matrix.mvp,
		{ 0, 1, 3.141593, 1.570796 },
		{ -0.01348047, 0.05747731, 0.1212391, 0.1956359 },
		{ 0.33299461, 0.99999559 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
ABS R2.w, vertex.position.y;
ABS R2.z, vertex.position.x;
MAX R0.x, R2.z, R2.w;
RCP R0.y, R0.x;
MIN R0.x, R2.z, R2.w;
MUL R0.z, R0.x, R0.y;
MUL R0.w, R0.z, R0.z;
MAD R0.x, R0.w, c[6], c[6].y;
MAD R0.x, R0, R0.w, -c[6].z;
MAD R1.x, R0, R0.w, c[6].w;
MUL R0.xy, vertex.position, vertex.position;
ADD R0.x, R0, R0.y;
MAD R1.x, R1, R0.w, -c[7];
MAD R0.y, R1.x, R0.w, c[7];
MUL R3.x, R0.y, R0.z;
RSQ R0.x, R0.x;
RCP R0.x, R0.x;
MUL R2.x, R0, c[0];
MAX R0.y, vertex.color.x, vertex.color;
MAX R0.x, vertex.color.z, R0.y;
ABS R0.y, R0.x;
ADD R3.y, -R3.x, -R3.x;
SGE R0.z, c[5].x, R0.y;
RCP R0.x, R0.x;
ADD R0.y, -R0.x, c[0].w;
MAD R0.x, R0.y, R0.z, R0;
SLT R2.y, c[5], R2.x;
MAD R0.y, -R0.x, R2, R2.x;
ABS R2.y, R2;
MAX R0.w, R0.y, c[5].x;
MUL R1.xyz, vertex.color, R0.y;
MIN R0.x, R2, R0;
MUL R0.xyz, vertex.color, R0.x;
ADD R0.xyz, R0, R0.w;
MOV R0.w, c[5].x;
MOV R1.w, c[5].x;
ADD R1, R1, -R0;
SGE R2.y, c[5].x, R2;
MAD result.color, R1, R2.y, R0;
SLT R0.y, vertex.position.x, c[5].x;
SLT R0.z, vertex.position.y, c[5].x;
ADD R3.y, R3, c[5].w;
SLT R2.z, R2, R2.w;
MAD R2.z, R3.y, R2, R3.x;
ADD R0.x, -R2.z, -R2.z;
ADD R0.x, R0, c[5].z;
MAD R0.x, R0, R0.y, R2.z;
ADD R0.y, -R0.x, -R0.x;
MAD R0.y, R0, R0.z, R0.x;
MOV R0.zw, vertex.position;
RCP R0.x, R2.x;
MUL result.texcoord[0].x, R0.y, c[0].y;
MUL R0.xy, vertex.position, R0.x;
MUL R0.xy, R0, c[0].z;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
END
# 58 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 80 ALU
def c4, 0.00666667, 0.66666669, 1.00000000, 0.00000000
def c5, 2.00000000, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 3.14159298, 0.31830987, 0, 0
dcl_position0 v0
dcl_color0 v1
abs r0.y, v0
abs r0.x, v0
max r0.z, r0.x, r0.y
rcp r0.w, r0.z
min r0.z, r0.x, r0.y
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
slt r0.x, r0, r0.y
max r0.y, -r0.x, r0.x
mad r1.x, r0.w, c5.y, c5.z
mad r1.x, r1, r0.w, c5.w
mad r1.x, r1, r0.w, c6
mad r1.x, r1, r0.w, c6.y
mad r0.w, r1.x, r0, c6.z
mul r0.z, r0.w, r0
slt r0.y, c4.w, r0
slt r0.x, v0, c4.w
max r0.x, -r0, r0
add r0.w, -r0.z, c6
add r1.x, -r0.y, c4.z
mul r0.z, r0, r1.x
slt r0.x, c4.w, r0
mad r0.y, r0, r0.w, r0.z
add r1.x, -r0, c4.z
mul r0.z, r0.y, r1.x
add r0.y, -r0, c7.x
mad r2.w, r0.x, r0.y, r0.z
mul r0.xy, v0, v0
add r0.x, r0, r0.y
slt r1.x, v0.y, c4.w
max r1.y, -r1.x, r1.x
slt r2.z, c4.w, r1.y
add r1.y, -r2.z, c4.z
max r0.z, v1.x, v1.y
max r0.z, v1, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
mul r2.y, r0.x, c4.x
sge r0.w, c4, r0.z
sge r0.y, r0.z, c4.w
mul r0.y, r0, r0.w
max r0.y, -r0, r0
slt r0.y, c4.w, r0
rcp r0.w, r0.z
add r0.z, -r0.y, c4
mul r0.z, r0, r0.w
mad r0.x, r0.y, c5, r0.z
slt r0.y, c4.z, r2
add r0.w, r2.y, -r0.x
max r0.z, -r0.y, r0.y
slt r0.z, c4.w, r0
add r1.x, -r0.z, c4.z
mul r1.x, r2.y, r1
mad r3.y, r0.z, r0.w, r1.x
sge r0.z, c4.w, r0.y
sge r0.y, r0, c4.w
mul r0.y, r0, r0.z
max r0.w, -r0.y, r0.y
slt r2.x, c4.w, r0.w
min r0.x, r2.y, r0
mul r3.x, r2.w, r1.y
max r1.x, r3.y, c4.w
mul r0.xyz, v1, r0.x
add r0.xyz, r0, r1.x
mov r0.w, c4
add r1.x, -r2, c4.z
mul r1, r1.x, r0
mul r0.xyz, v1, r3.y
mov r0.w, c4
mad oD0, r2.x, r0, r1
mad r0.y, r2.z, -r2.w, r3.x
mov r0.zw, v0
rcp r0.x, r2.y
mul oT0.x, r0.y, c7.y
mul r0.xy, v0, r0.x
mul r0.xy, r0, c4.y
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 39 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhmdgbfhmcmlogpjmdnccdnahemjgedoaabaaaaaaeeacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adaaaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 75

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 58 to 58
//   d3d9 - ALU: 79 to 79
//   d3d11 - ALU: 41 to 41, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 58 ALU
PARAM c[8] = { { 0.0066666668, 0.31830987, 2, 0 },
		state.matrix.mvp,
		{ 1, 3.141593, 1.570796, -0.01348047 },
		{ 0.05747731, 0.1212391, 0.1956359, 0.33299461 },
		{ 0.99999559 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
ABS R0.x, vertex.position;
ABS R0.y, vertex.position;
MAX R0.z, R0.x, R0.y;
RCP R0.w, R0.z;
MIN R0.z, R0.x, R0.y;
MUL R0.z, R0, R0.w;
MUL R0.w, R0.z, R0.z;
MUL R1.x, R0.w, c[5].w;
ADD R1.x, R1, c[6];
MAD R1.x, R1, R0.w, -c[6].y;
MAD R1.x, R1, R0.w, c[6].z;
MAD R1.x, R1, R0.w, -c[6].w;
MAD R0.w, R1.x, R0, c[7].x;
MUL R0.z, R0.w, R0;
SLT R0.y, R0.x, R0;
ADD R0.w, -R0.z, -R0.z;
ADD R0.x, R0.w, c[5].z;
MAD R0.x, R0, R0.y, R0.z;
MUL R0.zw, vertex.position.xyxy, vertex.position.xyxy;
ADD R0.y, R0.z, R0.w;
ADD R1.x, -R0, -R0;
RSQ R0.y, R0.y;
RCP R0.y, R0.y;
MUL R2.x, R0.y, c[0];
MAX R0.z, vertex.color.x, vertex.color.y;
MAX R0.z, vertex.color, R0;
ABS R0.w, R0.z;
RCP R0.y, R0.z;
ADD R0.z, -R0.y, c[0];
SGE R0.w, c[0], R0;
MAD R0.y, R0.z, R0.w, R0;
SLT R2.y, c[5].x, R2.x;
MAD R0.z, -R0.y, R2.y, R2.x;
ABS R2.y, R2;
ADD R1.x, R1, c[5].y;
SLT R0.w, vertex.position.x, c[0];
MAD R2.z, R1.x, R0.w, R0.x;
MAX R0.w, R0.z, c[0];
MUL R1.xyz, vertex.color, R0.z;
MIN R0.x, R2, R0.y;
MUL R0.xyz, vertex.color, R0.x;
ADD R0.xyz, R0, R0.w;
MOV R0.w, c[0];
MOV R1.w, c[0];
ADD R1, R1, -R0;
SGE R2.y, c[0].w, R2;
MAD result.color, R1, R2.y, R0;
RCP R0.x, R2.x;
MOV R0.zw, vertex.position;
MUL R0.xy, vertex.position, R0.x;
ADD R2.w, -R2.z, -R2.z;
SLT R3.x, vertex.position.y, c[0].w;
MAD R2.z, R2.w, R3.x, R2;
MUL result.texcoord[0].x, R2.z, c[0].y;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
END
# 58 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 79 ALU
def c4, 0.00666667, 1.00000000, 0.00000000, 2.00000000
def c5, -0.01348047, 0.05747731, -0.12123910, 0.19563590
def c6, -0.33299461, 0.99999559, 1.57079601, 3.14159298
def c7, 0.31830987, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
abs r0.y, v0
abs r0.x, v0
max r0.z, r0.x, r0.y
rcp r0.w, r0.z
min r0.z, r0.x, r0.y
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
slt r0.x, r0, r0.y
mad r1.x, r0.w, c5, c5.y
mad r1.x, r1, r0.w, c5.z
mad r1.x, r1, r0.w, c5.w
mad r1.x, r1, r0.w, c6
mad r0.w, r1.x, r0, c6.y
mul r0.y, r0.w, r0.z
max r0.x, -r0, r0
slt r0.z, c4, r0.x
add r1.x, -r0.z, c4.y
slt r0.x, v0, c4.z
add r0.w, -r0.y, c6.z
mul r1.x, r0.y, r1
max r0.x, -r0, r0
slt r0.y, c4.z, r0.x
mad r0.x, r0.z, r0.w, r1
add r0.w, -r0.y, c4.y
add r0.z, -r0.x, c6.w
mul r0.w, r0.x, r0
mad r0.y, r0, r0.z, r0.w
mul r0.zw, v0.xyxy, v0.xyxy
add r0.z, r0, r0.w
slt r0.x, v0.y, c4.z
max r0.x, -r0, r0
slt r0.x, c4.z, r0
add r0.w, -r0.x, c4.y
mul r0.w, r0.y, r0
mad r2.z, r0.x, -r0.y, r0.w
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r2.x, r0.z, c4
max r1.x, v1, v1.y
max r0.z, v1, r1.x
slt r1.x, c4.y, r2
sge r1.y, r0.z, c4.z
sge r1.z, c4, r0
mul r1.z, r1.y, r1
max r1.y, -r1.x, r1.x
max r1.z, -r1, r1
slt r1.y, c4.z, r1
slt r1.z, c4, r1
rcp r1.w, r0.z
add r0.z, -r1, c4.y
mul r0.z, r0, r1.w
mad r0.z, r1, c4.w, r0
add r1.w, -r1.y, c4.y
add r1.z, r2.x, -r0
mul r1.w, r2.x, r1
mad r2.w, r1.y, r1.z, r1
sge r0.y, c4.z, r1.x
sge r0.x, r1, c4.z
mul r0.x, r0, r0.y
max r1.x, -r0, r0
slt r2.y, c4.z, r1.x
min r0.y, r2.x, r0.z
max r0.w, r2, c4.z
mul r0.xyz, v1, r0.y
add r0.xyz, r0, r0.w
mov r0.w, c4.z
add r1.x, -r2.y, c4.y
mul r1, r1.x, r0
mul r0.xyz, v1, r2.w
mov r0.w, c4.z
mad oD0, r2.y, r0, r1
rcp r0.x, r2.x
mov r0.zw, v0
mul r0.xy, v0, r0.x
mul oT0.x, r2.z, c7
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 46 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 8 to 8, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Float 0 [_Alpha]
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[1].x;
SGE R0.y, c[1].x, R0.x;
MAD R0.z, -R0.w, c[1].w, c[1];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[1], c[1].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, c[0].x;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Float 0 [_Alpha]
"ps_2_0
; 14 ALU
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl v0.xyz
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c1.z
mad_pp r0.x, -r2, c2, c2.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c1
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c1, c1.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, c0.x
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_Alpha]
BindCB "$Globals" 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhmdgbfhmcmlogpjmdnccdnahemjgedoaabaaaaaaeeacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
adaaaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcgiabaaaaeaaaaaaa
fkaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaagcbaaaadhcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaaabaaaaaa
agaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaaaaaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
aaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaafgaobaaa
aaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaabaaaaaa
jgahbaaaaaaaaaaadgaaaaagiccabaaaaaaaaaaaakiacaaaaaaaaaaaabaaaaaa
doaaaaab"
}

}

#LINE 83

	}
}
}

}
