Shader "VertexColorUnlitTintedAlphaMultipass" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" { }
		_Color ("Tint", Color) = (1,1,1,1)
	}

	SubShader {
		Tags {"Queue" = "Transparent" }
		BindChannels {
			Bind "Vertex", vertex
			Bind "texcoord", texcoord
			Bind "Color", color
		}
		// 100% opaque portions, writes Z
		Pass {
			AlphaTest Equal 1

			SetTexture [_MainTex] {
				Combine texture * primary
			}
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine previous * constant
			}
		}
		// transparent portions, doesn't write Z
		Pass {
			AlphaTest NotEqual 1
			ZWrite Off
			Colormask RGB
			Blend SrcAlpha OneMinusSrcAlpha

			SetTexture [_MainTex] {
				Combine texture * primary
			}
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine previous * constant
			}
		}
	}
} 